﻿using System;
using System.Collections.Generic;
using System.Text;
using ConsoleApplication.paynowid;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace ConsoleApplication
{
    class Program
    {
        static void Main(string[] args)
        {
            log4net.Config.XmlConfigurator.Configure(new System.IO.FileInfo(@"C:\4gps_src\mdk_net_ver1\web\web\log4net.config"));
            jp.veritrans.tercerog.mdk.MdkContext.Configure(new System.IO.FileInfo(@"C:\4gps_src\mdk_net_ver1\web\web\3GPSMDK.ini"));

            if (args.Length == 1)
            {
                switch (args[0])
                {
                    case "alipay-authorize":
                        ConsoleApplication.alipay.CLI_AlipayAuthorize alipayauthorize = new ConsoleApplication.alipay.CLI_AlipayAuthorize();
                        alipayauthorize.Exec();
                        break;
                    case "alipay-refund":
                        ConsoleApplication.alipay.CLI_AlipayRefund alipayrefund = new ConsoleApplication.alipay.CLI_AlipayRefund();
                        alipayrefund.Exec();
                        break;

                    case "bank-authorize":
                        ConsoleApplication.bank.CLI_BankAuthorize bankauthorize = new ConsoleApplication.bank.CLI_BankAuthorize();
                        bankauthorize.Exec();
                        break;

                    case "card-authorize":
                        ConsoleApplication.card.CLI_CardAuthorize cardauthorize = new ConsoleApplication.card.CLI_CardAuthorize();
                        cardauthorize.Exec();
                        break;
                    case "card-capture":
                        ConsoleApplication.card.CLI_CardCapture cardcapture = new ConsoleApplication.card.CLI_CardCapture();
                        cardcapture.Exec();
                        break;
                    case "card-cancel":
                        ConsoleApplication.card.CLI_CardCancel cardcancel = new ConsoleApplication.card.CLI_CardCancel();
                        cardcancel.Exec();
                        break;
                    case "card-reauthorize":
                        ConsoleApplication.card.CLI_CardReAuthorize cardreauthorize = new ConsoleApplication.card.CLI_CardReAuthorize();
                        cardreauthorize.Exec();
                        break;

                    case "cvs-authorize":
                        ConsoleApplication.cvs.CLI_CvsAuthorize cvsauthorize = new ConsoleApplication.cvs.CLI_CvsAuthorize();
                        cvsauthorize.Exec();
                        break;
                    case "cvs-cancel":
                        ConsoleApplication.cvs.CLI_CvsCancel cvscancel = new ConsoleApplication.cvs.CLI_CvsCancel();
                        cvscancel.Exec();
                        break;
                    case "em-authorize":
                        ConsoleApplication.em.CLI_EmAuthorize emauthorize = new ConsoleApplication.em.CLI_EmAuthorize();
                        emauthorize.Exec();
                        break;
                    case "em-reauthorize":
                        ConsoleApplication.em.CLI_EmReAuthorize emreauthorize = new ConsoleApplication.em.CLI_EmReAuthorize();
                        emreauthorize.Exec();
                        break;
                    case "em-cancel":
                        ConsoleApplication.em.CLI_EmCancel emcancel = new ConsoleApplication.em.CLI_EmCancel();
                        emcancel.Exec();
                        break;
                    case "em-refund":
                        ConsoleApplication.em.CLI_EmRefund emrefund = new ConsoleApplication.em.CLI_EmRefund();
                        emrefund.Exec();
                        break;
                    case "em-remove":
                        ConsoleApplication.em.CLI_EmRemove emremove = new ConsoleApplication.em.CLI_EmRemove();
                        emremove.Exec();
                        break;
                    case "mpi-authorize":
                        ConsoleApplication.mpi.CLI_MpiAuthorize mpiauthorize = new ConsoleApplication.mpi.CLI_MpiAuthorize();
                        mpiauthorize.Exec();
                        break;
                    case "mpi-reauthorize":
                        ConsoleApplication.mpi.CLI_MpiReAuthorize mpireauthorize = new ConsoleApplication.mpi.CLI_MpiReAuthorize();
                        mpireauthorize.Exec();
                        break;

                    case "saison-capture":
                        ConsoleApplication.saison.CLI_SaisonCapture saisoncapture = new ConsoleApplication.saison.CLI_SaisonCapture();
                        saisoncapture.Exec();
                        break;

                    case "saison-cancel":
                        ConsoleApplication.saison.CLI_SaisonCancel saisoncancel = new ConsoleApplication.saison.CLI_SaisonCancel();
                        saisoncancel.Exec();
                        break;

                    case "carrier-authorize":
                        ConsoleApplication.carrier.CLI_CarrierAuthorize carrierauthorize = new ConsoleApplication.carrier.CLI_CarrierAuthorize();
                        carrierauthorize.Exec();
                        break;

                    case "carrier-cancel":
                        ConsoleApplication.carrier.CLI_CarrierCancel carriercancel = new ConsoleApplication.carrier.CLI_CarrierCancel();
                        carriercancel.Exec();
                        break;

                    case "carrier-capture":
                        ConsoleApplication.carrier.CLI_CarrierCapture carriercapture = new ConsoleApplication.carrier.CLI_CarrierCapture();
                        carriercapture.Exec();
                        break;

                    case "carrier-terminate":
                        ConsoleApplication.carrier.CLI_CarrierTerminate carrierterminate = new ConsoleApplication.carrier.CLI_CarrierTerminate();
                        carrierterminate.Exec();
                        break;

                    case "rakuten-authorize":
                        ConsoleApplication.rakuten.CLI_RakutenAuthorize rakutenauthorize = new ConsoleApplication.rakuten.CLI_RakutenAuthorize();
                        rakutenauthorize.Exec();
                        break;

                    case "rakuten-capture":
                        ConsoleApplication.rakuten.CLI_RakutenCapture rakutencapture = new ConsoleApplication.rakuten.CLI_RakutenCapture();
                        rakutencapture.Exec();
                        break;

                    case "rakuten-cancel":
                        ConsoleApplication.rakuten.CLI_RakutenCancel rakutencancel = new ConsoleApplication.rakuten.CLI_RakutenCancel();
                        rakutencancel.Exec();
                        break;

                    case "recruit-authorize":
                        ConsoleApplication.recruit.CLI_RecruitAuthorize recruitAuthorize = new ConsoleApplication.recruit.CLI_RecruitAuthorize();
                        recruitAuthorize.Exec();
                        break;

                    case "recruit-capture":
                        ConsoleApplication.recruit.CLI_RecruitCapture recruitCapture = new ConsoleApplication.recruit.CLI_RecruitCapture();
                        recruitCapture.Exec();
                        break;

                    case "recruit-cancel":
                        ConsoleApplication.recruit.CLI_RecruitCancel recruitCancel = new ConsoleApplication.recruit.CLI_RecruitCancel();
                        recruitCancel.Exec();
                        break;

                    case "recruit-extendauth":
                        ConsoleApplication.recruit.CLI_RecruitExtendAuth recruitExtendAuth = new ConsoleApplication.recruit.CLI_RecruitExtendAuth();
                        recruitExtendAuth.Exec();
                        break;

                    case "linepay-authorize":
                        ConsoleApplication.linepay.CLI_LinepayAuthorize linepayAuthorize = new ConsoleApplication.linepay.CLI_LinepayAuthorize();
                        linepayAuthorize.Exec();
                        break;

                    case "linepay-capture":
                        ConsoleApplication.linepay.CLI_LinepayCapture linepayCapture = new ConsoleApplication.linepay.CLI_LinepayCapture();
                        linepayCapture.Exec();
                        break;

                    case "linepay-cancel":
                        ConsoleApplication.linepay.CLI_LinepayCancel linepayCancel = new ConsoleApplication.linepay.CLI_LinepayCancel();
                        linepayCancel.Exec();
                        break;

                    case "masterpass-authorize":
                        ConsoleApplication.masterpass.CLI_MasterpassAuthorize masterpassAuthorize = new ConsoleApplication.masterpass.CLI_MasterpassAuthorize();
                        masterpassAuthorize.Exec();
                        break;

                    case "masterpass-capture":
                        ConsoleApplication.masterpass.CLI_MasterpassCapture masterpassCapture = new ConsoleApplication.masterpass.CLI_MasterpassCapture();
                        masterpassCapture.Exec();
                        break;

                    case "masterpass-cancel":
                        ConsoleApplication.masterpass.CLI_MasterpassCancel masterpassCancel = new ConsoleApplication.masterpass.CLI_MasterpassCancel();
                        masterpassCancel.Exec();
                        break;

                    case "masterpass-login":
                        ConsoleApplication.masterpass.CLI_MasterpassLogin masterpassLogin = new ConsoleApplication.masterpass.CLI_MasterpassLogin();
                        masterpassLogin.Exec();
                        break;

                    case "upop-authorize":
                        ConsoleApplication.upop.CLI_UpopAuthorize upopAuthorize = new ConsoleApplication.upop.CLI_UpopAuthorize();
                        upopAuthorize.Exec();
                        break;
                    case "upop-capture":
                        ConsoleApplication.upop.CLI_UpopCapture upopCapture = new ConsoleApplication.upop.CLI_UpopCapture();
                        upopCapture.Exec();
                        break;
                    case "upop-cancel":
                        ConsoleApplication.upop.CLI_UpopCancel upopCancel = new ConsoleApplication.upop.CLI_UpopCancel();
                        upopCancel.Exec();
                        break;
                    case "upop-refund":
                        ConsoleApplication.upop.CLI_UpopRefund upopRefund = new ConsoleApplication.upop.CLI_UpopRefund();
                        upopRefund.Exec();
                        break;

                    case "virtualacc-authorize":
                        ConsoleApplication.virtualacc.CLI_VirtualaccAuthorize virtualaccAuthorize = new ConsoleApplication.virtualacc.CLI_VirtualaccAuthorize();
                        virtualaccAuthorize.Exec();
                        break;

                    case "virtualacc-cancel":
                        ConsoleApplication.virtualacc.CLI_VirtualaccCancel virtualaccCancel = new ConsoleApplication.virtualacc.CLI_VirtualaccCancel();
                        virtualaccCancel.Exec();
                        break;

                    case "virtualacc-depositentry":
                        ConsoleApplication.virtualacc.CLI_VirtualaccDepositEntry virtualaccDepositEntry = new ConsoleApplication.virtualacc.CLI_VirtualaccDepositEntry();
                        virtualaccDepositEntry.Exec();
                        break;

                    case "virtualacc-depositreverse":
                        ConsoleApplication.virtualacc.CLI_VirtualaccDepositReverse virtualaccDepositReverse = new ConsoleApplication.virtualacc.CLI_VirtualaccDepositReverse();
                        virtualaccDepositReverse.Exec();
                        break;

                    case "virtualacc-reconcile":
                        ConsoleApplication.virtualacc.CLI_VirtualaccReconcile virtualaccReconcile = new ConsoleApplication.virtualacc.CLI_VirtualaccReconcile();
                        virtualaccReconcile.Exec();
                        break;

                    case "virtualacc-undoreconcile":
                        ConsoleApplication.virtualacc.CLI_VirtualaccUndoReconcile virtualaccUndoReconcile = new ConsoleApplication.virtualacc.CLI_VirtualaccUndoReconcile();
                        virtualaccUndoReconcile.Exec();
                        break;

                    case "search":
                        ConsoleApplication.search.CLI_Search search = new ConsoleApplication.search.CLI_Search();
                        search.Exec();
                        break;

                    case "account-add":
                        paynowid.CLI_PayNowIdAccountAddCommand accountAdd = new paynowid.CLI_PayNowIdAccountAddCommand();
                        accountAdd.Exec();
                        break;
                    case "account-delete":
                        paynowid.CLI_PayNowIdAccountDeleteCommand accountDelete =
                            new paynowid.CLI_PayNowIdAccountDeleteCommand();
                        accountDelete.Exec();
                        break;
                    case "account-restore":
                        paynowid.CLI_PayNowIdAccountRestoreCommand accountRestore =
                            new paynowid.CLI_PayNowIdAccountRestoreCommand();
                        accountRestore.Exec();
                        break;
                    case "card-add":
                        paynowid.CLI_PayNowIdCardAddCommand cardAdd = new paynowid.CLI_PayNowIdCardAddCommand();
                        cardAdd.Exec();
                        break;
                    case "card-delete":
                        paynowid.CLI_PayNowIdCardDeleteCommand cardDelete = new paynowid.CLI_PayNowIdCardDeleteCommand();
                        cardDelete.Exec();
                        break;
                    case "card-get":
                        paynowid.CLI_PayNowIdCardGetCommand cardGet = new paynowid.CLI_PayNowIdCardGetCommand();
                        cardGet.Exec();
                        break;
                    case "card-update":
                        paynowid.CLI_PayNowIdCardUpdateCommand cardUpdate = new paynowid.CLI_PayNowIdCardUpdateCommand();
                        cardUpdate.Exec();
                        break;
                    case "entry-and-card":
                        paynowid.CLI_PayNowIdEntryAndCardCommand entryAndCard = new paynowid.CLI_PayNowIdEntryAndCardCommand();
                        entryAndCard.Exec();
                        break;
                    case "entry-and-mpi":
                        paynowid.CLI_PayNowIdEntryAndMpiCommand entryAndMpi = new paynowid.CLI_PayNowIdEntryAndMpiCommand();
                        entryAndMpi.Exec();
                        break;
                    case "recurring-add":
                        paynowid.CLI_PayNowIdRecurringAddCommand recurringAdd =
                            new paynowid.CLI_PayNowIdRecurringAddCommand();
                        recurringAdd.Exec();
                        break;
                    case "recurring-delete":
                        paynowid.CLI_PayNowIdRecurringDeleteCommand recurringDelete =
                            new paynowid.CLI_PayNowIdRecurringDeleteCommand();
                        recurringDelete.Exec();
                        break;
                    case "recurring-update":
                        paynowid.CLI_PayNowIdRecurringUpdateCommand recurringUpdate =
                            new paynowid.CLI_PayNowIdRecurringUpdateCommand();
                        recurringUpdate.Exec();
                        break;
                    default:
                        Console.WriteLine("指定が正しくありません。");
                        break;
                }
            }
            else
            {
                Console.WriteLine("指定が正しくありません。");
            }
        }
    }
}
