﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace ConsoleApplication.bank
{
    /// <summary>
    /// 銀行決済申込要求サンプル
    /// </summary>
    public partial class CLI_BankAuthorize
    {
        public virtual void Exec()
        {
            /**
             * 決済方式
             * 
             * ATM決済 : atm
             * ネットバンク決済銀行リンク方式（PC）      : netbank-pc
             * ネットバンク決済銀行リンク方式（docomo）  : netbank-docomo
             * ネットバンク決済銀行リンク方式（SoftBank）: netbank-softbank
             * ネットバンク決済銀行リンク方式（au）      : netbank-au
             */
            String serviceOptionType = "atm";
            /**
             * 取引ID
             */
            String orderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");
            /**
             * 決済金額
             */
            String amount = "10";
            /**
             * 顧客名1
             */
            String clientName1 = "顧客　氏名";
            /**
             * 顧客名カナ1
             */
            String clientKana1 = "コキャクシメイカナ";
            /**
             * 郵便番号1
             */
            String postalCode1 = "123";
            /**
             * 郵便番号2
             */
            String postalCode2 = "4567";
            /**
             * 住所
             */
            String address = "東京都港区１－６－１";
            /**
             * 電話番号
             */
            String telephoneNumber = "0123456789";
            /**
             * 支払期限
             */
            String paymentLimit = System.DateTime.Now.AddDays(5).ToString("yyyyMMdd");
            /**
             * 成約日
             */
            String agreementDate = System.DateTime.Now.AddDays(-1).ToString("yyyyMMdd");
            /**
             * 請求内容
             */
            String contents = "表示インフォメーション";
            /**
             * 請求内容カナ
             */
            String contentsKana = "ヒョウジインフォメーションカナ";
 

             /**
              * 要求電文パラメータ値の指定
              */
             BankAuthorizeRequestDto requestData = new BankAuthorizeRequestDto();
             requestData.ServiceOptionType = serviceOptionType;
             requestData.OrderId = orderId;
             requestData.Amount = amount;
             requestData.Name1 = clientName1;
             requestData.Kana1 = clientKana1;
             requestData.Post1 = postalCode1;
             requestData.Post2 = postalCode2;
             requestData.Address1 = address;
             requestData.TelNo = telephoneNumber;
             requestData.PayLimit = paymentLimit;
             requestData.AgreementDate = agreementDate;
             requestData.Contents = contents;
             requestData.ContentsKana = contentsKana;

             /**
              * 実行と結果表示
              */
             Transaction tran = new Transaction();
             BankAuthorizeResponseDto responseData = (BankAuthorizeResponseDto)tran.Execute(requestData);

             System.Console.WriteLine("<< REQUEST >>");
             System.Console.WriteLine("Order ID:" + requestData.OrderId);
             System.Console.WriteLine("Amount:" + requestData.Amount);
             System.Console.WriteLine("Name1:" + requestData.Name1);
             System.Console.WriteLine("Kana1:" + requestData.Kana1);
             System.Console.WriteLine("Post1:" + requestData.Post1);
             System.Console.WriteLine("Post2:" + requestData.Post2);
             System.Console.WriteLine("Address1:" + requestData.Address1);
             System.Console.WriteLine("Tel No:" + requestData.TelNo);
             System.Console.WriteLine("Payment Limit:" + requestData.PayLimit);
             System.Console.WriteLine("Agreement Date:" + requestData.AgreementDate);
             System.Console.WriteLine("Contents:" + requestData.Contents);
             System.Console.WriteLine("Contents Kana:" + requestData.ContentsKana);

             System.Console.WriteLine("<< RESPONSE >>");
             System.Console.WriteLine("MStatus:" + responseData.Mstatus);
             System.Console.WriteLine("Message:" + responseData.MerrMsg);
             System.Console.WriteLine("Result Code:" + responseData.VResultCode);
             System.Console.WriteLine("Shuno kikan No:" + responseData.ShunoKikanNo);
             System.Console.WriteLine("Customer No:" + responseData.CustomerNo);
             System.Console.WriteLine("Confirm No:" + responseData.ConfirmNo);
             System.Console.WriteLine("Url(only in Link type):" + responseData.Url);
             System.Console.WriteLine("View(only in Link type):" + responseData.View);
        }
    }
}
