﻿using System;
using System.Collections.Generic;
using System.Text;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace ConsoleApplication.linepay
{
    public class CLI_LinepayAuthorize
    {
        public virtual void Exec()
        {
            // 取引ID
            String orderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");

            // 同時売上実施有無
            String isWithCapture = "false";

            // 支払金額
            String amount = "10";

            // 商品番号
            String itemId = "12345";

            // 商品名
            String itemName = "sample商品";

            // 決済確認方法(0:ブラウザを介する通信、1:サーバ間通信)
            String paymentConfirmType = "0";

            // ワンタイムキー(指定時、決済確認方法は1:サーバ間通信)
            // String oneTimeKey = "123456789012";

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new LinepayAuthorizeRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;
            requestData.WithCapture = isWithCapture;
            requestData.ItemId = itemId;
            requestData.ItemName = itemName;
            requestData.PaymentConfirmType = paymentConfirmType;
            // requestData.OneTimeKey = oneTimeKey;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction();
            var responseData = (LinepayAuthorizeResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("WithCapture:" + requestData.WithCapture);
            System.Console.WriteLine("Amount:" + requestData.Amount);
            System.Console.WriteLine("PaymentConfirmType:" + paymentConfirmType);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Redirect Web Url:" + responseData.RedirectWebUrl);
            System.Console.WriteLine("Redirect App Url:" + responseData.RedirectAppUrl);
        }
    }
}
