﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace ConsoleApplication.search
{
    /// <summary>
    /// 取引検索要求サンプル
    /// </summary>
    public partial class CLI_Search
    {
        public virtual void Exec()
        {
            /* ===================================================
             * 要求電文パラメータ
             * =================================================== */
            /**
             * 1. 対象リクエストID
             */
            String requestId = "";
            /**
             * 2. サービスタイプ
             *     配列にて指定します。
             * 
             * クレジットカード      : card
             * 電子マネー            : em
             * コンビニ              : cvs
             * 銀行                  : bank
             * PayPal                : paypal
             * 銀聯                  : cup
             * ショッピングクレジット: oricosc
             * 楽天                  : rakuten
             * リクルート            : recruit
             * LINE Pay              : linepay
             * MasterPass            : masterpass
             * 銀行振込              : virtualacc
             * Alipay                : alipay
             * 銀聯ネット(UPOP)      : upop
             */
            //String[] serviceCode = new String[15];
            //serviceCode[0] = "card";
            //serviceCode[1] = "em";
            //serviceCode[2] = "cvs";
            //serviceCode[3] = "bank";
            //serviceCode[4] = "paypal";
            //serviceCode[5] = "cup";
            //serviceCode[6] = "saison";
            //serviceCode[7] = "oricosc";
            //serviceCode[8] = "rakuten";
            //serviceCode[9] = "recruit";
            //serviceCode[10] = "linepay";
            //serviceCode[11] = "masterpass";
            //serviceCode[12] = "virtualacc";
            //serviceCode[13] = "alipay";
            //serviceCode[14] = "upop";

            /**
             * 3. 検索最大件数
             */
            //String maxCount = "10";
            /**
             * 要求電文に条件セット
             */
            SearchRequestDto requestData = new SearchRequestDto();
            requestData.RequestId = requestId;
            //requestData.ServiceTypeCd = serviceCode;
            //requestData.MaxCount = maxCount;
            requestData.ContainDummyFlag = "true";//ダミー取引を含む場合

            /* ===================================================
             * サービス間検索条件パラメータ値
             * =================================================== */
            /**
             * 1. 取引ID
             */
            //String orderId = "";
            /**
             * 2. 対象コマンド 
             *       配列にて指定します。
             * 
             * Authorize/ReAuthorize/Capture/Cancel/Refund/Retry/Verify/Remove
             */
            //var targetCommand = new[] { "Authorize", "Capture", "Cancel", "Refund", "Remove", "ReAuthorize" };
            /**
             * 3. 対象取引ステータス
             *      配列にて指定します。
             * 
             * success/failure/pending
             */
            //String[] transactionStatus = new String[3];
            //transactionStatus[0] = "success";
            //transactionStatus[1] = "pending";
            //transactionStatus[2] = "failure";
            /**
             * 4-a. 取引日時 yyyyMMDDhhmm
             */
            //String txnFromDatetime = "201001010000";
            //String txnToDatetime = "202012312359";
            /**
             * 4-b. 検索範囲設定：取引期間
             */
            //SearchRange txnTimeRange = new SearchRange();
            //txnTimeRange.From = txnFromDatetime;
            //txnTimeRange.To = txnToDatetime;
            /**
             * 5-a. 取引金額
             */
            //String amountLowerLimit = "1";
            //String amountUpperLimit = "999999";
            /**
             * 5-b. 検索範囲設定：取引金額
             */
            //SearchRange amountRange = new SearchRange();
            //amountRange.From = amountLowerLimit;
            //amountRange.To = amountUpperLimit;
            /**
             * サービス間共通検索パラメータ設定(1-5)
             */
            CommonSearchParameter commonParameters = new CommonSearchParameter();
            //commonParameters.OrderId = orderId;
            //commonParameters.Command = targetCommand;
            //commonParameters.Mstatus = transactionStatus;
            //commonParameters.TxnDatetime = txnTimeRange;
            //commonParameters.Amount = amountRange;
            /* ===================================================
             * 以下、サービス別指定
             * =================================================== */
            /* ---------------------------------------------------
             * 電子マネー決済固有検索パラメータ
             * EmSearchParameter
             * ---------------------------------------------------*/
            /**
             * 電子マネー種別
             * 配列指定
             * 
             * edy/suica/waon/tcc
             */
            //var emType = new[] { "edy", "suica", "waon", "tcc" };

            /**
             * 検索範囲設定：決済期限日時
             */
            //検索始点 YYYYMMDDhhmm
            //String settlementFromDatetime = "201005010000";
            //検索終点 YYYYMMDDhhmm
            //String settlementToDatetime = "201005312359";

            //SearchRange settlementLimitRange = new SearchRange();
            //settlementLimitRange.From = settlementFromDatetime;
            //settlementLimitRange.To = settlementToDatetime;
            /**
             * 検索範囲設定：決済完了日時
             */
            //検索始点 YYYYMMDDhhmm
            //String completeFromDatetime = "201005010000";
            //検索終点 YYYYMMDDhhmm
            //String completeToDatetime = "201005312359";

            //SearchRange completeDatetimeRange = new SearchRange();
            //completeDatetimeRange.From = completeFromDatetime;
            //completeDatetimeRange.To = completeToDatetime;

            /**
             * 電子マネー決済固有検索パラメータ設定
             */
            //EmSearchParameter emParameters = new EmSearchParameter();
            //emParameters.EmType = emType;
            //emParameters.SettlementLimit = settlementLimitRange;
            //emParameters.CompleteDatetime = completeDatetimeRange;

            /* ---------------------------------------------------
            * コンビニ決済固有検索パラメータ
            * CvsSearchParameter
            * ---------------------------------------------------*/
            /**
             * コンビニ種別
             * セブンイレブン                    ：  "sej"
             * ファミリーマート、ローソンその他  ：  "econ"
             * その他                            ：  "other"  （サークルKサンクス、デイリーヤマザキ、ヤマザキデイリーストアー、タイムリー、ミニストップ）
             */
            //String[] cvsType = new String[3];
            //cvsType[0] = "sej";
            //cvsType[1] = "econ";
            //cvsType[2] = "other";
            /**
             * 検索範囲設定：支払期限日時
             */
            //検索始点 YYYYMMDDhhmm
            //String payFromDatetime = "201005010000";
            //検索終点 YYYYMMDDhhmm
            //String payToDatetime = "201005312359";
            //SearchRange payLimitRange = new SearchRange();
            //payLimitRange.From = payFromDatetime;
            //payLimitRange.To = payToDatetime;
            /**
             * 検索範囲設定：入金受付日
             */
            //検索始点 YYYYMMDDhhmm
            //String paidFromDatetime = "201005010000";
            //検索終点 YYYYMMDDhhmm
            //String paidToDatetime = "201005312359";
            //SearchRange paidDatetimeRange = new SearchRange();
            //paidDatetimeRange.From = paidFromDatetime;
            //paidDatetimeRange.To = paidToDatetime;
            /**
            * コンビニ決済検索パラメータ設定
            */
            //CvsSearchParameter cvsParameters = new CvsSearchParameter();
            //cvsParameters.CvsType = cvsType;
            //cvsParameters.PayLimit = payLimitRange;
            //cvsParameters.PaidDatetime = paidDatetimeRange;
            /* ---------------------------------------------------
             * PayEasy決済固有検索パラメータ
             * BankSearchParameter
             * ---------------------------------------------------*/
            /**
             * 方式種別
             * ATM決済                   ：atm
             * ネットバンク決済PC        : netbank-pc
             * ネットバンク決済DoCoMo    ：netbank-docomo
             * ネットバンク決済SoftBank  ：netbank-sonftbank
             * ネットバンク決済au        ：netbank-au
             */
            //String[] bankOptionType = new String[5];
            //bankOptionType[0] = "atm";
            //bankOptionType[1] = "netbank-pc";
            //bankOptionType[2] = "netbank-docomo";
            //bankOptionType[3] = "netbank-softbank";
            //bankOptionType[4] = "netbank-au";
            /**
             * 検索範囲設定：支払期限日時
             */
            //検索始点 YYYYMMDDhhmm
            //String bkPayFromDatetime = "201005010000";

            //検索終点 YYYYMMDDhhmm
            //String bkPayToDatetime = "201005312359";

            //SearchRange bkPayLimitRange = new SearchRange();
            //bkPayLimitRange.From = bkPayFromDatetime;
            //bkPayLimitRange.To = bkPayToDatetime;

            /**
             * 検索範囲設定：収納日時
             */
            //検索始点 YYYYMMDDhhmm
            //String receivedFromDatetime = "201005010000";

            //検索終点 YYYYMMDDhhmm
            //String receivedToDatetime = "201005312359";

            //SearchRange receivedDatetimeRange = new SearchRange();
            //receivedDatetimeRange.From = receivedFromDatetime;
            //receivedDatetimeRange.To = receivedToDatetime;
            /**
             * Bank決済検索パラメータ設定
             */
            //BankSearchParameter bankParameters = new BankSearchParameter();
            //bankParameters.OptionType = bankOptionType;
            //bankParameters.PayLimit = bkPayLimitRange;
            //bankParameters.ReceivedDatetime = receivedDatetimeRange;

            /* ---------------------------------------------------
             * PayPal決済固有検索パラメータ
             * PaypalSearchParameter
             * ---------------------------------------------------*/
            /**
             * 検索範囲設定：支払日時
             */
            //検索始点 YYYYMMDDhhmm
            //String paymentFromDatetime = "201005010000";

            //検索終点 YYYYMMDDhhmm
            //String paymentToDatetime = "201005312359";

            //SearchRange paymentRange = new SearchRange();
            //paymentRange.From = paymentFromDatetime;
            //paymentRange.To = paymentToDatetime;

            /**
            * 顧客番号
            */
            //String payerId = "dummy";

            //PaypalSearchParameter paypalParameters = new PaypalSearchParameter();
            //paypalParameters.PaymentDatetime = paymentRange;
            //paypalParameters.PayerId = payerId;

            /* ---------------------------------------------------
             * Saison決済固有検索パラメータ
             * SaisonSearchParameter
             * ---------------------------------------------------*/
            /**
             * 検索範囲設定：合計決済金額
             */
            //検索始点 YYYYMMDDhhmm
            //String totalAmountFrom = "1";

            //検索終点 YYYYMMDDhhmm
            //String totalAmountTo = "9999";
            /**
             * 検索範囲設定：ウォレット決済金額
             */
            //検索始点 YYYYMMDDhhmm
            //String walletAmountFrom = "1";

            //検索終点 YYYYMMDDhhmm
            //String walletAmountTo = "9999";
            /**
             * 検索範囲設定：カード決済金額
             */
            //検索始点 YYYYMMDDhhmm
            //String cardAmountFrom = "1";

            //検索終点 YYYYMMDDhhmm
            //String cardAmountTo = "9999";

            //SearchRange totalAmountRange = new SearchRange();
            //totalAmountRange.From = totalAmountFrom;
            //totalAmountRange.To = totalAmountTo;

            //SearchRange walletAmountRange = new SearchRange();
            //walletAmountRange.From = walletAmountFrom;
            //walletAmountRange.To = walletAmountTo;

            //SearchRange cardAmountRange = new SearchRange();
            //cardAmountRange.From = cardAmountFrom;
            //cardAmountRange.To = cardAmountTo;

            //SaisonSearchParameter saisonParameters = new SaisonSearchParameter();
            //saisonParameters.TotalAmount = totalAmountRange;
            //saisonParameters.WalletAmount = walletAmountRange;
            //saisonParameters.CardAmount = cardAmountRange;

            /* ---------------------------------------------------
             * Oricosc決済固有検索パラメータ
             * OricoscSearchParameter
             * ---------------------------------------------------*/
            //String oricoscOricoOrderNo = "";
            // 支払合計金額の範囲指定パラメータを生成
            //SearchRange oricoscAmountRange = new SearchRange();
            //oricoscAmountRange.From = "1";
            //oricoscAmountRange.To = "1000";
            // 商品価格合計(税込)の範囲指定パラメータを生成
            //SearchRange oricoscTotalItemAmountRange = new SearchRange();
            //oricoscTotalItemAmountRange.From = "1";
            //oricoscTotalItemAmountRange.To = "1000";
            // ショッピングクレジット決済固有検索パラメータ
            //OricoscSearchParameter oricoscParameters = new OricoscSearchParameter();
            //oricoscParameters.OricoOrderNo = oricoscOricoOrderNo;
            //oricoscParameters.Amount = oricoscAmountRange;
            //oricoscParameters.TotalItemAmount = oricoscTotalItemAmountRange;

            /* ---------------------------------------------------
             * 楽天決済固有検索パラメータ
             * RakutenSearchParameter
             * ---------------------------------------------------*/
            //String rakutenItemId = "123456";
            //String[] rakutenDetailOrderType = new String[2];
            //rakutenDetailOrderType[0] = "Init";
            //rakutenDetailOrderType[1] = "Auth";

            //RakutenSearchParameter rakutenParameteres = new RakutenSearchParameter();
            //rakutenParameteres.ItemId = rakutenItemId;
            //rakutenParameteres.DetailOrderType = rakutenDetailOrderType;

            /* ---------------------------------------------------
             * リクルートかんたん支払い固有検索パラメータ
             * RecruitSearchParameter
             * ---------------------------------------------------*/
            //String recruitItemId = "12*";
            //String[] recruitDetailOrderType = new String[]{"Init","Auth"}
            //String[] recruitDetailCommandType = new String[]{"Init", "PreAuth"};

            RecruitSearchParameter recruitParameters = new RecruitSearchParameter();
            //recruitParameters.ItemId = recruitItemId;
            //recruitParameteres.DetailOrderType = recruitDetailOrderType;
            //recruitParameteres.DetailCommandType = recruitDetailCommandType;

            /* ---------------------------------------------------
             * LINE Pay固有検索パラメータ
             * LinepaySearchParameter
             * ---------------------------------------------------*/
            //String linepayItemId = "12*";
            //String[] linepayDetailOrderType = new String[] { "Init", "Auth" };
            //String[] linepayDetailCommandType = new String[]{ "Init", "PreAuth"};

            LinepaySearchParameter linepayParameters = new LinepaySearchParameter();
            //linepayParameters.ItemId = linepayItemId;
            //linepayParameters.DetailOrderType = linepayDetailOrderType;
            //linepayParameters.DetailCommandType = linepayDetailCommandType;

            /* ---------------------------------------------------
             * MasterPass決済固有検索パラメータ
             * MasterpassSearchParameter
             * ---------------------------------------------------*/
            //String masterpassItemId = "12*";
            //String[] masterpassDetailOrderType = new String[] { "Init", "Auth" };
            //String[] masterpassDetailCommandType = new String[]{ "Init", "Auth"};

            MasterpassSearchParameter masterpassParameters = new MasterpassSearchParameter();
            //masterpassParameters.ItemId = masterpassItemId;
            //masterpassParameters.DetailOrderType = masterpassDetailOrderType;
            //masterpassParameters.DetailCommandType = masterpassDetailCommandType;

            /* ---------------------------------------------------
             * 銀行振込決済固有検索パラメータ
             * VirtualaccSearchParameter
             * ---------------------------------------------------*/
            //String[] virtualaccDetailOrderType = new String[] { "Init", "Auth" };
            //String[] virtualaccDetailCommandType = new String[]{ "Init", "Auth"};
            //String viralaccEntryTransferName = "";
            //String viralaccEntryTransferNumber = "";
            //String viralaccEntryAccountNumber = "";

            VirtualaccSearchParameter virtualaccParameters = new VirtualaccSearchParameter();
            //virtualaccParameters.DetailOrderType = virtualaccDetailOrderType;
            //virtualaccParameters.DetailCommandType = virtualaccDetailCommandType;
            //virtualaccParameters.EntryTransferName = viralaccEntryTransferName;
            //virtualaccParameters.EntryTransferNumber = viralaccEntryTransferNumber;
            //virtualaccParameters.AccountNumber = viralaccEntryAccountNumber;

            /* ---------------------------------------------------
             * Alipay決済固有検索パラメータ
             * AlipaySearchParameter
             * ---------------------------------------------------*/
            //String[] alipayDetailOrderType = new String[] { "payment", "refund" };
            //String alipayCenterTradeId = "";

            //String paymentTimeFrom = "201001010000";
            //String paymentTimeTo = "202012312359";
            //SearchRange paymentTimeRange = new SearchRange();
            //paymentTimeRange.From = paymentTimeFrom;
            //paymentTimeRange.To = paymentTimeTo;

            //String settlementTimeFrom = "201001010000";
            //String settlementTimeTo = "202012312359";
            //SearchRange settlementTimeRange = new SearchRange();
            //settlementTimeRange.From = settlementTimeFrom;
            //settlementTimeRange.To = settlementTimeTo;

            //String[] alipayPayType = new String[] { "0", "1" };

            AlipaySearchParameter alipayParameters = new AlipaySearchParameter();
            //alipayParameters.DetailOrderType = alipayDetailOrderType;
            //alipayParameters.CenterTradeId = alipayCenterTradeId;
            //alipayParameters.PaymentTime = paymentTimeRange;
            //alipayParameters.SettlementTime = settlementTimeRange;
            //alipayParameters.PayType = alipayPayType;

            /* ---------------------------------------------------
             * Upop決済固有検索パラメータ
             * UpopSearchParameter
             * ---------------------------------------------------*/
            //String settleFromDatetimeJp = "201001010000";
            //String settleToDatetimeJp = "202012312359";
            //SearchRange settleTimeRangeJp = new SearchRange();
            //settleTimeRangeJp.From = settleFromDatetimeJp;
            //settleTimeRangeJp.To = settleToDatetimeJp;

            //String settleFromDatetimeCn = "201001010000";
            //String settleToDatetimeCn = "202012312359";
            //SearchRange settleTimeRangeCn = new SearchRange();
            //settleTimeRangeCn.From = settleFromDatetimeCn;
            //settleTimeRangeCn.To = settleToDatetimeCn;

            //String[] upopDetailOrderType = new String[] { "a", "ac" };

            UpopSearchParameter upopParameters = new UpopSearchParameter();
            //upopParameters.SettleDatetimeJp = settleTimeRangeJp;
            //upopParameters.SettleDatetimeCn = settleTimeRangeCn;
            //upopParameters.DetailOrderType = upopDetailOrderType;

            /**
             * 取引結果検索条件設定
             * 対象サービスの検索パラメータを必要に応じてセット
             */
            SearchParameters searchTargetCondition = new SearchParameters();
            searchTargetCondition.Common = commonParameters;
            // for 電子マネー決済取引
            // searchTargetCondition.Em = emParameters;
            // for コンビニ決済取引
            // searchTargetCondition.Cvs = cvsParameters;
            // for PayEasy決済取引
            // searchTargetCondition.Bank = bankParameters;
            // for PayPal決済取引
            // searchTargetCondition.Paypal = paypalParameters;
            // for Saison決済取引
            // searchTargetCondition.Saison = saisonParameters;
            // for Oricosc決済取引
            // searchTargetCondition.Oricosc = oricoscParameters;
            // for RakutenID決済取引
            // searchTargetCondition.Rakuten = rakutenParameteres;
            // for リクルートかんたん支払い取引
            // searchTargetCondition.Recruit = recruitParameters;
            // for LINE Pay
            // searchTargetCondition.Linepay = linepayParameters;
            // for MasterPass決済
            // searchTargetCondition.Masterpass = masterpassParameters;
            // for 銀行振込決済
            // searchTargetCondition.Virtualacc = virtualaccParameters;
            // for Alipay決済
            // searchTargetCondition.Alipay = alipayParameters;
            // for 銀聯ネット決済(UPOP)
            // searchTargetCondition.Upop = upopParameters;

            /** ===========================================================
             * 取引結果検索条件を要求電文パラメータへ設定
             * ===========================================================*/
            requestData.SearchParameters = searchTargetCondition;

            /** ***********************************************************
             * 検索実行 
             ** ***********************************************************/
            Transaction tran = new Transaction();
            SearchResponseDto responseData = (SearchResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("request:" + requestData);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);

            System.Console.WriteLine("response:" + responseData);

            if (responseData.SearchCount.Equals("0"))
            {
                System.Console.WriteLine("検索結果が0件でした。");
            }
            else
            {
                OrderInfo[] orderInfos = responseData.OrderInfos.OrderInfo;
                foreach (OrderInfo order in orderInfos)
                {
                    System.Console.WriteLine("*---------**---------*");
                    System.Console.WriteLine("Index: " + order.Index);
                    System.Console.WriteLine("Service Type: " + order.ServiceTypeCd);
                    System.Console.WriteLine("Order ID: " + order.OrderId);
                    System.Console.WriteLine("Order Status: " + order.OrderStatus);

                    bool isCard = false;
                    bool isEm = false;
                    bool isCvs = false;
                    bool isBank = false;
                    bool isPaypal = false;
                    bool isCup = false;
                    bool isSaison = false;
                    bool isOricosc = false;
                    bool isRakuten = false;
                    bool isRecruit = false;
                    bool isLinepay = false;
                    bool isMasterpass = false;
                    bool isVirtualacc = false;
                    bool isAlipay = false;
                    bool isUpop = false;

                    /*
                     * オーダ情報区分チェック
                     */
                    switch (order.ServiceTypeCd)
                    {
                        case "card":
                            isCard = true;
                            break;
                        case "em":
                            isEm = true;
                            break;
                        case "cvs":
                            isCvs = true;
                            break;
                        case "bank":
                            isBank = true;
                            break;
                        case "paypal":
                            isPaypal = true;
                            break;
                        case "cup":
                            isCup = true;
                            break;
                        case "saison":
                            isSaison = true;
                            break;
                        case "oricosc":
                            isOricosc = true;
                            break;
                        case "rakuten":
                            isRakuten = true;
                            break;
                        case "recruit":
                            isRecruit = true;
                            break;
                        case "linepay":
                            isLinepay = true;
                            break;
                        case "masterpass":
                            isMasterpass = true;
                            break;
                        case "virtualacc":
                            isVirtualacc = true;
                            break;
                        case "alipay":
                            isAlipay = true;
                            break;
                        case "upop":
                            isUpop = true;
                            break;
                        default:
                            break;
                    }
                    /**
                     * 取引情報
                     */
                    TransactionInfo[] orderTransactions;
                    try
                    {
                        orderTransactions = order.TransactionInfos.TransactionInfo;

                    }
                    catch
                    {
                        System.Console.WriteLine("[Error] 取引情報がありません。:" + order.OrderId);
                        continue;

                    }

                    if (orderTransactions != null)
                    {
                        foreach (TransactionInfo tranInfo in orderTransactions)
                        {
                            System.Console.WriteLine("----");
                            System.Console.WriteLine("Transaction ID:" + tranInfo.TxnId);
                            System.Console.WriteLine("Executed Command:" + tranInfo.Command);
                            System.Console.WriteLine("Transaction Status:" + tranInfo.Mstatus);
                            System.Console.WriteLine("Transaction Result Code:" + tranInfo.VResultCode);
                            System.Console.WriteLine("Execute Time:" + tranInfo.TxnDatetime);
                            System.Console.WriteLine("Settlement Amount:" + tranInfo.Amount);

                            ProperTransactionInfo properInfo = tranInfo.ProperTransactionInfo;
                            if (properInfo != null)
                            {
                                if (isCard)
                                {
                                    System.Console.WriteLine("Card Transaction Type:" + properInfo.CardTransactionType);
                                    System.Console.WriteLine("Gateway Request Date:" + properInfo.GatewayRequestDate);
                                    System.Console.WriteLine("Gateway Response Date:" + properInfo.GatewayResponseDate);
                                    System.Console.WriteLine("Center Request Date:" + properInfo.CenterRequestDate);
                                    System.Console.WriteLine("Center Response Date:" + properInfo.CenterResponseDate);
                                    System.Console.WriteLine("Center Request Number:" + properInfo.CenterRequestNumber);
                                    System.Console.WriteLine("enter Reference Number:" + properInfo.CenterReferenceNumber);
                                    System.Console.WriteLine("Request Auth Code:" + properInfo.ReqAuthCode);
                                }
                                else if (isRakuten)
                                {
                                    System.Console.WriteLine("Rakuten API Error Code:" + properInfo.RakutenApiErrorCode);
                                    System.Console.WriteLine("Rakuten Order Error Code:" + properInfo.RakutenOrderErrorCode);
                                    System.Console.WriteLine("Rakuten Request Datetime:" + properInfo.RakutenRequestDatetime);
                                    System.Console.WriteLine("Rakuten Response Datetime:" + properInfo.RakutenResponseDatetime);
                                }
                                else if (isRecruit)
                                {
                                    System.Console.WriteLine("Recruit Error Code:" + properInfo.RecruitErrorCode);
                                    System.Console.WriteLine("Recruit Request Datetime:" + properInfo.RecruitRequestDatetime);
                                    System.Console.WriteLine("Recruit Response Datetime:" + properInfo.RecruitResponseDatetime);
                                }
                                else if (isLinepay)
                                {
                                    System.Console.WriteLine("Linepay Error Code:" + properInfo.LinepayErrorCode);
                                    System.Console.WriteLine("Linepay Request Datetime:" + properInfo.LinepayRequestDatetime);
                                    System.Console.WriteLine("Linepay Response Datetime:" + properInfo.LinepayResponseDatetime);
                                }
                                else if (isMasterpass)
                                {
                                    System.Console.WriteLine("Masterpass AuthCode:" + properInfo.AuthCode);
                                    System.Console.WriteLine("Masterpass ReferenceNumber:" + properInfo.ReferenceNumber);
                                    System.Console.WriteLine("Masterpass DetailCommandType:" + properInfo.DetailCommandType);
                                    System.Console.WriteLine("Masterpass CardVResultCode:" + properInfo.CardVResultCode);
                                    System.Console.WriteLine("Masterpass Request Datetime:" + properInfo.MasterpassRequestDatetime);
                                    System.Console.WriteLine("Masterpass Response Datetime:" + properInfo.MasterpassResponseDatetime);
                                }
                                else if (isVirtualacc)
                                {
                                    System.Console.WriteLine("Virtualacc With Reconcile:" + properInfo.WithReconcile);
                                    System.Console.WriteLine("Virtualacc Deposit Id:" + properInfo.DepositId);
                                    System.Console.WriteLine("Virtualacc Registration Method:" + properInfo.RegistrationMethod);
                                    System.Console.WriteLine("Virtualacc Deposit Date:" + properInfo.DepositDate);
                                    System.Console.WriteLine("Virtualacc Transfer Name:" + properInfo.TransferName);
                                }
                                else if (isAlipay)
                                {
                                    System.Console.WriteLine("Alipay Center Trade Id:" + properInfo.CenterTradeId);
                                    System.Console.WriteLine("Alipay Txn Type:" + properInfo.AlipayTxnType);
                                    System.Console.WriteLine("Alipay Settle Amount:" + properInfo.SettleAmount);
                                    System.Console.WriteLine("Alipay Settle Currency:" + properInfo.SettleCurrency);
                                    System.Console.WriteLine("Alipay Payment Time:" + properInfo.PaymentTime);
                                    System.Console.WriteLine("Alipay Settlement Time:" + properInfo.SettlementTime);
                                    System.Console.WriteLine("Alipay Pay Type:" + properInfo.PayType);
                                }
                                else if (isUpop)
                                {
                                    System.Console.WriteLine("UPOP Settle Amount:" + properInfo.ResUpopSettleAmount);
                                    System.Console.WriteLine("UPOP Settle Date:" + properInfo.ResUpopSettleDate);
                                    System.Console.WriteLine("UPOP Settle Currency:" + properInfo.ResUpopSettleCurrency);
                                    System.Console.WriteLine("UPOP Exchange Date:" + properInfo.ResUpopExchangeDate);
                                    System.Console.WriteLine("UPOP Exchange Rate:" + properInfo.ResUpopExchangeRate);
                                    System.Console.WriteLine("UPOP Order Id:" + properInfo.ResUpopOrderId);
                                }
                            }
                        }
                    }
                }
            }
        }
    }
}
