﻿using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;
using System;

namespace ConsoleApplication.virtualacc
{
    /// <summary>
    /// 銀行振込決済 入金要求サンプル
    /// </summary>
    class CLI_VirtualaccDepositEntry
    {
        public virtual void Exec()
        {
            // 取引ID(申込請求時に利用したものを設定してください)
            String orderId = "";

            // 入金金額
            String amount = "";

            // 入金日の設定(YYYYMMDD)
            String depositDate = "";

            // 振込人名
            String transferName = "";

            // 消込フラグの設定
            // 消込しない : MdkServiceConstants.VACC_WITH_RECONCILE_NOT or 未指定
            // 消込(強制) : MdkServiceConstants.VACC_WITH_RECONCILE_FORCE
            // 消込(自動) : MdkServiceConstants.VACC_WITH_RECONCILE_AUTO
            String withReconcile = "";
            
            // 登録方法の設定
            // 手動 : MdkServiceConstants.VACC_REGISTRATION_METHOD_MANUAL or 未指定
            // 自動 : MdkServiceConstants.VACC_REGISTRATION_METHOD_AUTO
            String registrationMethod = "";

            // サービスオプションタイプ
            // りそな : MdkServiceConstants.VACC_RESONA
            String serviceOptionType = MdkServiceConstants.VACC_RESONA;

            /**
             * 要求電文パラメータ値の指定
             */
            var requestData = new VirtualaccDepositEntryRequestDto();
            requestData.OrderId = orderId;
            requestData.Amount = amount;
            requestData.DepositDate = depositDate;
            requestData.TransferName = transferName;
            requestData.WithReconcile = withReconcile;
            requestData.RegistrationMethod = registrationMethod;
            requestData.ServiceOptionType = serviceOptionType;

            /**
             * 実行と結果表示  
            */
            var tran = new Transaction();
            var responseData = (VirtualaccDepositEntryResponseDto)tran.Execute(requestData);

            System.Console.WriteLine("<< REQUEST >>");
            System.Console.WriteLine("Order ID:" + requestData.OrderId);
            System.Console.WriteLine("Amount:" + requestData.Amount);
            System.Console.WriteLine("Deposit Date:" + requestData.DepositDate);
            System.Console.WriteLine("TransferName:" + requestData.TransferName);
            System.Console.WriteLine("With Reconcile:" + requestData.WithReconcile);
            System.Console.WriteLine("Registration Method:" + requestData.RegistrationMethod);

            System.Console.WriteLine("<< RESPONSE >>");
            System.Console.WriteLine("Order Id:" + responseData.OrderId);
            System.Console.WriteLine("MStatus:" + responseData.Mstatus);
            System.Console.WriteLine("Message:" + responseData.MerrMsg);
            System.Console.WriteLine("Result Code:" + responseData.VResultCode);
            System.Console.WriteLine("Total Deposit Amount:" + responseData.TotalDepositAmount);
            System.Console.WriteLine("Deposit ID:" + responseData.DepositId);
            System.Console.WriteLine("Order Status:" + responseData.OrderStatus);
        }
    }
}
