﻿using System;
using System.Net;
using System.Text;
using System.Web;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace MdkSampleDotNet
{
    public partial class PaymentMethodSelect : System.Web.UI.Page
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (Session["BuyInfo"] == null)
            {
                Session["BuyInfo"] = new Buyinfo(true);
            }
            Buyinfo info = (Buyinfo)Session["BuyInfo"];
            this.lblTotalAmount.Text = info.GetTotalAmount();

            // 接続先
            Uri uri = new Uri(MerchantContext.Config.GetValue(MerchantConfig.SERVER_URL));
            IPAddress address;
            string strAddress;
            if (!IPAddress.TryParse(uri.Host, out address))
            {
                System.Net.IPHostEntry iphe = System.Net.Dns.GetHostEntry(uri.Host);
                strAddress = iphe.AddressList[0].ToString();
            }
            else
            {
                strAddress = uri.Host;
            }
            ServerName.Text = uri.Host + "／" + strAddress;

            // 接続モード
            string dummyRequest = MerchantContext.Config.GetValue(MerchantConfig.DUMMY_REQUEST);
            if ("1".Equals(dummyRequest))
            {
                DummyMode.Text = "ダミーリクエスト";
            }
            else
            {
                DummyMode.Text = "本番リクエスト";
            }
        }

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            String price = lblTotalAmount.Text;

            String methodType = RblMethod.SelectedValue;

            // 支払方法毎にページを遷移
            switch (methodType)
            {
                case SampleConstants.MEHTOD_CARD_CODE:
                    Response.Redirect("./card/Authorize.aspx?price=" + price);
                    break;
                case SampleConstants.MEHTOD_BANK_CODE:
                    Response.Redirect("./bank/Authorize.aspx?price=" + price);
                    break;
                case SampleConstants.MEHTOD_CONVINIENCE_CODE:
                    Response.Redirect("./cvs/Authorize.aspx?price=" + price);
                    break;
                case SampleConstants.MEHTOD_E_MONEY_CODE:
                    Response.Redirect("./em/Menu.aspx?price=" + price);
                    break;
                case SampleConstants.MEHTOD_MPI_CODE:
                    Response.Redirect("./mpi/Authorize.aspx?price=" + price);
                    break;
                case SampleConstants.MEHTOD_PAYPAL_CODE:
                    Response.Redirect("./paypal/Authorize.aspx?price=" + price);
                    break;
                case SampleConstants.MEHTOD_SAISON_CODE:
                    Response.Redirect("./saison/Authorize.aspx?price=" + price);
                    break;
                case SampleConstants.MEHTOD_UPOP_CODE:
                    Response.Redirect("./upop/Authorize.aspx?price=" + price);
                    break;
                case SampleConstants.MEHTOD_ALIPAY_CODE:
                    Response.Redirect("./alipay/Authorize.aspx?price=" + price);
                    break;
                case SampleConstants.MEHTOD_CARRIER_CODE:
                    Response.Redirect("./carrier/Menu.aspx?price=" + price);
                    break;
                case SampleConstants.MEHTOD_ORICOSC_CODE:
                    String item1_quantity = "1";
                    String item1_name = HttpUtility.UrlEncode("テスト商品１", UTF8Encoding.UTF8);
                    price = "500";
                    Response.Redirect("./oricosc/Authorize.aspx?item1_price=" + price + "&item1_quantity=" + item1_quantity + "&item1_name=" + item1_name);
                    break;
                case SampleConstants.MEHTOD_RAKUTEN_CODE:
                    {
                        String item_name = HttpUtility.UrlEncode("テスト商品", UTF8Encoding.UTF8);
                        price = "100";
                        Response.Redirect("./rakuten/Authorize.aspx?price=" + price + "&item_name=" + item_name);
                        break;
                    }
                case SampleConstants.MEHTOD_RECRUIT_CODE:
                    {
                        String item_name = HttpUtility.UrlEncode("テスト商品", UTF8Encoding.UTF8);
                        price = "100";
                        Response.Redirect("./recruit/Authorize.aspx?price=" + price + "&item_name=" + item_name);
                        break;
                    }
                case SampleConstants.MEHTOD_LINEPAY_CODE:
                    {
                        String item_name = HttpUtility.UrlEncode("テスト商品", UTF8Encoding.UTF8);
                        Response.Redirect("./linepay/Authorize.aspx?price=" + price + "&item_name=" + item_name);
                        break;
                    }
                case SampleConstants.MEHTOD_MASTERPASS_CODE:
                    {
                        String quantity1 = "1";
                        String item_name = HttpUtility.UrlEncode("テスト商品", UTF8Encoding.UTF8);
                        Response.Redirect("./masterpass/Login.aspx?quantity1=" + quantity1 + "&value1=" + price + "&description1=" + item_name);
                        break;
                    }
                case SampleConstants.MEHTOD_VIRTUALACC_CODE:
                    {
                        String accountManageType = MdkServiceConstants.VACC_ACCOUNT_MANAGE_TYPE_REAL;
                        String entryTransferNumber = HttpUtility.UrlEncode("００００１", UTF8Encoding.UTF8);
                        String entryTransferName = HttpUtility.UrlEncode("テストタロウ", UTF8Encoding.UTF8);
                        Response.Redirect("./virtualacc/Authorize.aspx?price=" + price + "&accountManageType=" + accountManageType + "&entryTransferNumber=" + entryTransferNumber + "&entryTransferName=" + entryTransferName);
                        break;
                    }
                default:
                    break;
            }

        }
    }
}
