﻿using System;

namespace MdkSampleDotNet
{
    /// <summary>
    /// 3G MDKサンプルアプリケーション　設定値保持クラス
    /// </summary>
    public static class SampleConstants
    {
        #region 共通系定数

        /// <summary>
        /// 支払方法
        /// </summary>
        public const String MEHTOD_CARD_CODE = "card";
        public const String MEHTOD_E_MONEY_CODE = "em";
        public const String MEHTOD_CONVINIENCE_CODE = "cvs";
        public const String MEHTOD_BANK_CODE = "bank";
        public const String MEHTOD_PAYPAL_CODE = "paypal";
        public const String MEHTOD_MPI_CODE = "mpi";
        public const String MEHTOD_SAISON_CODE = "saison";
        public const String MEHTOD_UPOP_CODE = "upop";
        public const String MEHTOD_ALIPAY_CODE = "alipay";
        public const String MEHTOD_CARRIER_CODE = "carrier";
        public const String MEHTOD_ORICOSC_CODE = "oricosc";
        public const String MEHTOD_RAKUTEN_CODE = "rakuten";
        public const String MEHTOD_RECRUIT_CODE = "recruit";
        public const String MEHTOD_LINEPAY_CODE = "linepay";
        public const String MEHTOD_MASTERPASS_CODE = "masterpass";
        public const String MEHTOD_VIRTUALACC_CODE = "virtualacc";

        /// <summary>
        /// MDKDtoへの設定値
        /// </summary>
        public const String MDK_PARAM_TRUE = "true";
        public const String MDK_PARAM_FALSE = "false";

        /// <summary>
        /// 結果
        /// </summary>
        public const String TXN_FAILURE_CODE = "failure";
        public const String TXN_PENDING_CODE = "pending";
        public const String TXN_SUCCESS_CODE = "success";

        public const String SETTING_FILE_PATH = "./SampleData.xml";

        #endregion

        #region MPI定数
        /// <summary>
        /// MPI 認証利用方式
        /// </summary>
        /// <remarks>
        ///  1. 3D-Secure認証のみ（決済しない） : mpi-none<br/>
        ///  2. 完全認証 : mpi-complete<br/>
        ///  3. 通常認証（カード会社リスク負担） ： mpi-company<br/>
        ///  4. 通常認証（カード会社、加盟店リスク負担）: mpi-merchant<br/>
        /// </remarks>
        /// 以下に御社サイトで指定した認証利用方式に対応する文字列をご設定下さい。
        public const String MPI_PAYMENT_MODE = "/DATA/MPI/PAYMENT_MODE";
        public const String MPI_REDIRECT_URL = "/DATA/MPI/REDIRECT_URL"; // リダイレクトされるURL

        #endregion

        #region PAYPAL定数

        /// <summary>
        /// 消費者がPayPal上での操作が完了したときの遷移するマーチャントのURLを設定します。
        /// </summary>
        public const String PAYPAL_DEFAULT_RETURN_PAGE = "/DATA/PAYPAL/DEFAULT_RETURN_PAGE";
        /// <summary>
        /// 消費者がPayPal上で支払いをキャンセルした場合に遷移するマーチャントのURLを設定します。
        /// </summary>
        public const String PAYPAL_DEFAULT_CANCEL_PAGE = "/DATA/PAYPAL/DEFAULT_CANCEL_PAGE";

        #endregion

        #region SAISON定数
        public const String SAISON_MERCHANT_REDIRECTION_URI_PC = "/DATA/SAISON/MERCHANT_REDIRECTION_URI.PC";
        public const String SAISON_MERCHANT_REDIRECTION_URI_MB = "/DATA/SAISON/MERCHANT_REDIRECTION_URI.MB";
        public const String SAISON_PC_OR_SP_SETTLEMENT_METHOD = "/DATA/SAISON/PC_OR_SP_SETTLEMENT_METHOD";
        #endregion

        #region UPOP定数
        public const String UPOP_TERM_URL = "/DATA/UPOP/TERM_URL";
        #endregion

        #region Alipay定数
        public const String ALIPAY_SUCCESS_URL = "/DATA/ALIPAY/SUCCESS_URL";
        public const String ALIPAY_ERROR_URL = "/DATA/ALIPAY/ERROR_URL";
        #endregion

        #region Carrier定数
        public const String CARRIER_SUCCESS_URL = "/DATA/CARRIER/SUCCESS_URL";
        public const String CARRIER_CANCEL_URL = "/DATA/CARRIER/CANCEL_URL";
        public const String CARRIER_ERROR_URL = "/DATA/CARRIER/ERROR_URL";
        public const String CARRIER_PUSH_URL = "/DATA/CARRIER/PUSH_URL";

        public const String CARRIER_SUCCESS_URL_MB = "/DATA/CARRIER/SUCCESS_URL_MB";
        public const String CARRIER_CANCEL_URL_MB = "/DATA/CARRIER/CANCEL_URL_MB";
        public const String CARRIER_ERROR_URL_MB = "/DATA/CARRIER/ERROR_URL_MB";
        #endregion

        #region EM定数
        public const String EM_COMPLETE_NOTICE_URL = "/DATA/EM/EM_COMPLETE_NOTICE_URL";
        #endregion

        #region BANK定数
        public const String BANK_TERM_URL = "/DATA/BANK/TERM_URL";
        #endregion

        #region ORICOSC定数
        public const String ORICOSC_REDIRECTION_URL_PC = "/DATA/ORICOSC/MERCHANT_REDIRECTION_URL_PC";
        public const String ORICOSC_REDIRECTION_URL_MB = "/DATA/ORICOSC/MERCHANT_REDIRECTION_URL_MB";
        #endregion

        #region RAKUTEN定数
        public const String RAKUTEN_SUCCESS_URL = "/DATA/RAKUTEN/SUCCESS_URL";
        public const String RAKUTEN_ERROR_URL = "/DATA/RAKUTEN/ERROR_URL";
        public const String RAKUTEN_PUSH_URL = "/DATA/RAKUTEN/PUSH_URL";
        #endregion

        #region RECRUIT定数
        public const String RECRUIT_SUCCESS_URL = "/DATA/RECRUIT/SUCCESS_URL";
        public const String RECRUIT_ERROR_URL = "/DATA/RECRUIT/ERROR_URL";
        public const String RECRUIT_PUSH_URL = "/DATA/RECRUIT/PUSH_URL";
        #endregion

        #region LINEPAY定数
        public const String LINEPAY_SUCCESS_URL = "/DATA/LINEPAY/SUCCESS_URL";
        public const String LINEPAY_CANCEL_URL = "/DATA/LINEPAY/CANCEL_URL";
        public const String LINEPAY_ERROR_URL = "/DATA/LINEPAY/ERROR_URL";
        public const String LINEPAY_PUSH_URL = "/DATA/LINEPAY/PUSH_URL";
        #endregion

        #region MASTERPASS定数
        public const String MASTERPASS_SUCCESS_URL = "/DATA/MASTERPASS/SUCCESS_URL";
        public const String MASTERPASS_CANCEL_URL = "/DATA/MASTERPASS/CANCEL_URL";
        public const String MASTERPASS_ERROR_URL = "/DATA/MASTERPASS/ERROR_URL";
        #endregion

        #region PUSH定数
        public const String PUSH_OUTPUT_DIRECTORY = "/DATA/PUSH/OUTPUT_DIRECTORY";
        #endregion

        #region PAYNOWID定数

        public const String PAYNOWID_TERM_URL = "/DATA/PAYNOWID/TERM_URL";

        #endregion

        #region TOKEN定数
        public const String TOKEN_API_KEY = "/DATA/TOKEN/TOKEN_API_KEY";
        public const String TOKEN_API_URL = "/DATA/TOKEN/TOKEN_API_URL";
        #endregion
    }
}
