﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace MdkSampleDotNet.bank
{
    public partial class Authorize : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                orderId.Text = "dummy" + Utils.CurrentTimeMillis();
                amount.Text = Request.QueryString["price"];
            }
        }

        protected void btnReplaceOrderId_Click(object sender, EventArgs e)
        {
            orderId.Text = "dummy" + Utils.CurrentTimeMillis();
        }

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 決済方式
            String paramServiceOptionType = serviceOptionType.SelectedValue;
            // 取引ID
            String paramOrderId = orderId.Text;
            // 決済金額
            String paramAmount = amount.Text;
            // 顧客名1
            String paramName1 = name1.Text;
            // 顧客名2
            String paramName2 = name2.Text;
            // 顧客名カナ1
            String paramKana1 = kana1.Text;
            // 顧客名カナ2
            String paramKana2 = kana2.Text;
            // 支払期限
            String paramPaymentLimit = payLimit.Text;
            // 請求内容
            String paramContents = contents.Text;
            // 請求内容カナ
            String paramContentsKana = contentsKana.Text;


            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            if (String.IsNullOrEmpty(paramOrderId))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramAmount))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：決済金額が指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramName1))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：顧客名1が指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramKana1))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：カナ1が指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramPaymentLimit))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：支払期限が指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramContents))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：請求内容（漢字）が指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramContentsKana))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：請求内容（カナ）が指定されていません</b></font><br/><br/>";
                return;
            }


            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 画面入力値を実行クラスに渡すためにセッションに設定します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Session["paramServiceOptionType"] = paramServiceOptionType;
            Session["paramOrderId"] = paramOrderId;
            Session["paramAmount"] = paramAmount;
            Session["paramName1"] = paramName1;
            Session["paramName2"] = paramName2;
            Session["paramKana1"] = paramKana1;
            Session["paramKana2"] = paramKana2;
            Session["paramPaymentLimit"] = paramPaymentLimit;
            Session["paramContents"] = paramContents;
            Session["paramContentsKana"] = paramContentsKana;


            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 実行＆結果画面を表示します
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Response.Redirect("./AuthorizeExec.aspx", true);

            return;
        }
    }
}
