﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace MdkSampleDotNet.bank
{
    public partial class AuthorizeExec : System.Web.UI.Page
    {
        private Boolean displayContent = true;

        public Boolean DisplayContent
        {
            get { return this.displayContent; }
            set { this.displayContent = value; }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            displayContent = true;

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramServiceOptionType = (String)Session["paramServiceOptionType"];
            String paramOrderId = (String)Session["paramOrderId"];
            String paramAmount = (String)Session["paramAmount"];
            String paramName1 = (String)Session["paramName1"];
            String paramName2 = (String)Session["paramName2"];
            String paramKana1 = (String)Session["paramKana1"];
            String paramKana2 = (String)Session["paramKana2"];
            String paramPaymentLimit = (String)Session["paramPaymentLimit"];
            String paramContents = (String)Session["paramContents"];
            String paramContentsKana = (String)Session["paramContentsKana"];


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            BankAuthorizeRequestDto requestData = new BankAuthorizeRequestDto();
            requestData.ServiceOptionType = paramServiceOptionType;
            requestData.OrderId = paramOrderId;
            requestData.Amount = paramAmount;
            requestData.Name1 = paramName1;
            if (!String.IsNullOrEmpty(paramName2))
            {
                requestData.Name2 = paramName2;
            }
            requestData.Kana1 = paramKana1;
            if (!String.IsNullOrEmpty(paramKana2))
            {
                requestData.Kana2 = paramKana2;
            }
            requestData.PayLimit = paramPaymentLimit;
            requestData.Contents = paramContents;
            requestData.ContentsKana = paramContentsKana;

            if ("netbank-pc".Equals(paramServiceOptionType))
            {
                 // ネットバンク決済(PC)の場合にのみ"決済結果戻り先URL"を設定可能
                requestData.TermUrl = Utils.getXPath(SampleConstants.BANK_TERM_URL);
            }


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            Transaction tran = new Transaction();
            BankAuthorizeResponseDto responseData = (BankAuthorizeResponseDto)tran.Execute(requestData);


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 結果画面に表示します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            OrderId.Text = responseData.OrderId;
            Mstatus.Text = responseData.Mstatus;
            VResultCode.Text = responseData.VResultCode;
            MerrMsg.Text = responseData.MerrMsg;

            orgNumber.Text = responseData.ShunoKikanNo;
            customerNumber.Text = responseData.CustomerNo;
            confirmNumber.Text = responseData.ConfirmNo;
            url.Text = responseData.Url;

            if ("success".Equals(responseData.Mstatus) && "atm".Equals(paramServiceOptionType) == false)
            {
                String view = responseData.View;
                if (!String.IsNullOrEmpty(view))
                {
                    Response.Write(view);
                    displayContent = false;

                } else {
                    checkForm.Visible = true;

                    loginUrl.Value = responseData.Url;
                    skno.Value = responseData.ShunoKikanNo;
                    bptn.Value = responseData.BillPattern;
                    bill.Value = responseData.Bill;
                }
            }
            else
            {
                checkForm.Visible = false;
            }
        }
    }
}
