﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace MdkSampleDotNet.card
{
    public partial class ReAuthorize : System.Web.UI.Page
    {
        /// <summary>
        /// 初期表示イベント。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                orderId.Text = "dummy" + System.DateTime.Now.ToString("HHmmssfff");
            }
        }

        /// <summary>
        /// 取引ID更新ボタンイベント。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnReplaceOrderId_Click(object sender, EventArgs e)
        {
            orderId.Text = "dummy" + System.DateTime.Now.ToString("HHmmssfff");
        }

        /// <summary>
        /// 購入ボタンイベント
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 取引ID
            String paramOrderId = orderId.Text;

            String paramOriginalOrderID = originalOrderId.Text;
            // 支払金額
            String paramAmount = amount.Text;
            // 与信方法
            String paramWithCapture;
            if(withCapture.SelectedValue.Equals("1"))
            {
                paramWithCapture = SampleConstants.MDK_PARAM_TRUE;
            }
            else
            {
                paramWithCapture = SampleConstants.MDK_PARAM_FALSE;
            }
            // 支払オプション
            String paramJpo1 = jpo1.SelectedValue;
            String paramJpo2 = jpo2.Text;
            String paramJpo = "";
            if (!String.IsNullOrEmpty(paramJpo1))
            {
                if ("10".Equals(paramJpo1) || "80".Equals(paramJpo1))
                {
                    paramJpo = paramJpo1;
                }
                else if ("61".Equals(paramJpo1) || paramJpo2 != null)
                {
                    paramJpo = paramJpo1 + "C" + paramJpo2;
                }
            }
            // セキュリティコード
            String paramSecurityCode = securityCode.Text;


            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            if (String.IsNullOrEmpty(paramOrderId))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramOriginalOrderID))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：元取引IDが指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramAmount))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：金額が指定されていません</b></font><br/><br/>";
                return;
            }


            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 画面入力値を実行クラスに渡すためにセッションに設定します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Session["paramOrderId"] = paramOrderId;
            Session["paramOriginalOrderID"] = paramOriginalOrderID;
            Session["paramAmount"] = paramAmount;
            Session["paramWithCapture"] = paramWithCapture;
            Session["paramJpo"] = paramJpo;
            Session["paramSecurityCode"] = paramSecurityCode;


            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 実行＆結果画面を表示します
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Response.Redirect("./ReAuthorizeExec.aspx", true);

            return;
        }
    }
}
