﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace MdkSampleDotNet.carrier
{
    public partial class Terminate : System.Web.UI.Page
    {
        /// <summary>
        /// 初期表示イベント。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            Response.Charset = "UTF-8";
            if (!Page.IsPostBack)
            {
                String admin = Request["Admin"];
                if (String.IsNullOrEmpty(admin))
                {
                    admin = "false";
                }
                force.Value = admin;

                orderId.Text = Request["orderId"];
                serviceOptionType.Items.Add(new ListItem("ドコモ", MdkServiceConstants.CARRIER_DOCOMO));
                serviceOptionType.Items.Add(new ListItem("au", MdkServiceConstants.CARRIER_AU));
                serviceOptionType.Items.Add(new ListItem("ソフトバンクまとめて支払い（A）", MdkServiceConstants.CARRIER_SB_MATOMETE));
                serviceOptionType.Items.Add(new ListItem("ソフトバンクまとめて支払い（B）", MdkServiceConstants.CARRIER_SB_KTAI));
                if (!"true".Equals(admin))
                {
                    serviceOptionType.Items.Add(new ListItem("フレッツまとめて支払い", MdkServiceConstants.CARRIER_FLETS));
                }

                string successUrlStr = Request["successUrl"];
                if (successUrlStr == null)
                {
                    successUrlStr = MdkSampleDotNet.Utils.getXPath(MdkSampleDotNet.SampleConstants.CARRIER_SUCCESS_URL);
                }
                string cancelUrlStr = Request["cancelUrl"];
                if (cancelUrlStr == null)
                {
                    cancelUrlStr = MdkSampleDotNet.Utils.getXPath(MdkSampleDotNet.SampleConstants.CARRIER_CANCEL_URL);
                }
                string errorUrlStr = Request["errorUrl"];
                if (errorUrlStr == null)
                {
                    errorUrlStr = MdkSampleDotNet.Utils.getXPath(MdkSampleDotNet.SampleConstants.CARRIER_ERROR_URL);
                }
                string pushUrlStr = Request["pushUrl"];
                if (pushUrlStr == null)
                {
                    pushUrlStr = MdkSampleDotNet.Utils.getXPath(MdkSampleDotNet.SampleConstants.CARRIER_PUSH_URL);
                }

                successUrl.Text = successUrlStr;
                cancelUrl.Text = cancelUrlStr;
                errorUrl.Text = errorUrlStr;

                hidSuccessUrl.Value = successUrlStr;
                hidCancelUrl.Value = cancelUrlStr;
                hidErrorUrl.Value = errorUrlStr;
                
                String dummyRequest = MerchantContext.Config.GetValue(MerchantConfig.DUMMY_REQUEST);
                if ("1".Equals(dummyRequest))
                {
                    pushUrl.ReadOnly = false;
                    pushUrl.Text = pushUrlStr;
                }
                else
                {
                    pushUrl.ReadOnly = true;
                    pushUrl.Text = "";
                }

                terminalKind.Items.Add(new ListItem("PC", MdkServiceConstants.CARRIER_TERMINAL_PC));
                terminalKind.Items.Add(new ListItem("スマートフォン", MdkServiceConstants.CARRIER_TERMINAL_SP));
                terminalKind.Items.Add(new ListItem("フィーチャーフォン", MdkServiceConstants.CARRIER_TERMINAL_FP));
            }
        }

        /// <summary>
        /// 取引ID更新ボタンイベント。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnReplaceOrderId_Click(object sender, EventArgs e)
        {
            // HiddenField更新
            hidSuccessUrl.Value = successUrl.Text;
            hidCancelUrl.Value = cancelUrl.Text;
            hidErrorUrl.Value = errorUrl.Text;

            orderId.Text = "dummy" + Utils.CurrentTimeMillis();
        }

        /// <summary>
        /// 購入ボタンイベント
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            // HiddenField更新
            hidSuccessUrl.Value = successUrl.Text;
            hidCancelUrl.Value = cancelUrl.Text;
            hidErrorUrl.Value = errorUrl.Text;

            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramServiceOptionType = serviceOptionType.SelectedValue;
            // 取引IDの取得
            String paramOrderId = orderId.Text;
            // 強制解約の取得
            String paramForce = force.Value;

            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            if (String.IsNullOrEmpty(paramOrderId))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font><br/><br/>";
                return;
            }

            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 画面入力値を実行クラスに渡すためにセッションに設定します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Session["paramServiceOptionType"] = paramServiceOptionType;
            Session["paramOrderId"] = paramOrderId;

            // docomoもしくはsb_matometeの場合のみ強制解約かどうかの設定
            if (MdkServiceConstants.CARRIER_DOCOMO.Equals(paramServiceOptionType) 
                || MdkServiceConstants.CARRIER_SB_MATOMETE.Equals(paramServiceOptionType))
            {
                Session["paramForce"] = paramForce;
            }

            //sb_matometeまたはfletsまたはdocomoかつ強制解約ではない場合に端末種別を設定する。
            if (MdkServiceConstants.CARRIER_SB_MATOMETE.Equals(paramServiceOptionType)
                || MdkServiceConstants.CARRIER_FLETS.Equals(paramServiceOptionType)
                || MdkServiceConstants.CARRIER_DOCOMO.Equals(paramServiceOptionType)
                && !"true".Equals(paramForce))
            {
                Session["paramTerminalKind"] = terminalKind.SelectedValue;
            }

            Session["paramSuccessUrl"] = successUrl.Text;
            Session["paramCancelUrl"] = cancelUrl.Text;
            Session["paramErrorUrl"] = errorUrl.Text;
            Session["paramPushUrl"] = pushUrl.Text;

            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 実行＆結果画面を表示します
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Response.Redirect("./TerminateExec.aspx", true);
        }
    }
}
