﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using System.Reflection;
using jp.veritrans.tercerog.sample.util;

namespace MdkSampleDotNet.carrier
{
    public partial class TerminateExec : System.Web.UI.Page
    {
        protected Boolean displayContent = true;

        /// <summary>
        /// 初期表示イベント。
        /// パラメータを元に、GWと通信を行う。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            Response.Charset = "UTF-8";
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramServiceOptionType = (String)Session["paramServiceOptionType"];
            String paramOrderId = (String)Session["paramOrderId"];
            String paramForce = (String)Session["paramForce"];
            String paramTerminalKind = (String)Session["paramTerminalKind"];
            String paramSuccessUrl = (String)Session["paramSuccessUrl"];
            String paramCancelUrl = (String)Session["paramCancelUrl"];
            String paramErrorUrl = (String)Session["paramErrorUrl"];
            String paramPushUrl = (String)Session["paramPushUrl"];


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            CarrierTerminateRequestDto requestData = new CarrierTerminateRequestDto();
            requestData.ServiceOptionType = paramServiceOptionType;
            requestData.OrderId = paramOrderId;
            requestData.Force = paramForce;

            requestData.TerminalKind = paramTerminalKind;
            requestData.SuccessUrl = paramSuccessUrl;
            requestData.CancelUrl = paramCancelUrl;
            requestData.ErrorUrl = paramErrorUrl;
            requestData.PushUrl = paramPushUrl;

            try
            {
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // コマンドを実行し、応答DTOを取得します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                Transaction tran = new Transaction();
                CarrierTerminateResponseDto responseData = (CarrierTerminateResponseDto)tran.Execute(requestData);

                String responseContents = responseData.ResponseContents;
                if (!String.IsNullOrEmpty(responseContents) && String.IsNullOrEmpty(Request["admin"]))
                {
                    // レスポンスコンテンツがある場合はそのまま表示します。
                    // キャリアによって文字コードが異なるため、ここで文字コードを指定してください。
                    Response.ContentType = "text/html; charset=" + CarrierUtility.getEncoding(requestData.ServiceOptionType, requestData.TerminalKind);
                    Response.Write(responseContents);
                    displayContent = false;
                }
                else
                {
                    // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                    // 結果画面に表示します。
                    // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                    OrderId.Text = responseData.OrderId;
                    Mstatus.Text = responseData.Mstatus;
                    VResultCode.Text = responseData.VResultCode;
                    MerrMsg.Text = responseData.MerrMsg;
                    TerminateDatetime.Text = responseData.TerminateDatetime;
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine("Exception Occured !");
                Console.WriteLine("Exception Message: " + ex.Message);
                MerrMsg.Text = "Exception Occured : " + ex.Message;
            }
            Session.Clear();
        }
    }
}
