﻿using System;
using MdkSampleDotNet;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace web.em
{
    public partial class ReAuthorizeExec : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramServiceOptionType = (String)Session["paramServiceOptionType"];
            String paramOrderId = (String)Session["paramOrderId"];

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            EmReAuthorizeRequestDto requestData = new EmReAuthorizeRequestDto();
            requestData.ServiceOptionType = paramServiceOptionType;
            requestData.OrderId = paramOrderId;
            if ("tcc-redirect".Equals(paramServiceOptionType))
            {
                requestData.ReAuthorizeRedirectionUrl = Utils.getXPath(SampleConstants.EM_COMPLETE_NOTICE_URL);
            }

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            Transaction tran = new Transaction();
            EmReAuthorizeResponseDto responseData = (EmReAuthorizeResponseDto)tran.Execute(requestData);


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 結果画面に表示します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            OrderId.Text = responseData.OrderId;
            Mstatus.Text = responseData.Mstatus;
            VResultCode.Text = responseData.VResultCode;
            MerrMsg.Text = responseData.MerrMsg;

            if (string.IsNullOrEmpty(responseData.ReAuthAppUrl))
            {
                AppUrl.Visible = false;
            }
            else
            {
                AppUrl.Visible = true;
                AppUrl.NavigateUrl = responseData.ReAuthAppUrl;

                if ("tcc-redirect".Equals(paramServiceOptionType))
                {
                    Response.Redirect(responseData.ReAuthAppUrl, true);
                }

            }
        }
    }
}
