﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;

namespace MdkSampleDotNet.em
{
    public partial class Refund : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            orderKind.Value = "refund";
        }

        /// <summary>
        /// 返金ボタンイベント
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 決済方式
            String paramServiceOptionType = serviceOptionType.SelectedValue;
            // オーダー種別
            String paramOrderKind = orderKind.Value;
            // 返金依頼金額  <= 決済金額
            String paramAmount = amount.Text;
            // 返金処理の取引ID
            String paramOrderId = "dummy" + System.DateTime.Now.ToString("HHmmssfff");
            // 返金対象の取引ID
            String paramRefundOrderId = refundOrderId.Text;
            // 決済期限（Suica）
            String paramSettlementLimit = settlementLimit.Text;
            // 画面タイトル
            String paramScreenTitle = screenTitle.Text;


            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            if (String.IsNullOrEmpty(paramAmount))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：金額が指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramOrderKind))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：取引種別が指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramRefundOrderId))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：対象取引IDが指定されていません</b></font><br/><br/>";
                return;
            }
            if ("edy-mobile".Equals(paramServiceOptionType) == false &&
                "edy-pc".Equals(paramServiceOptionType) == false &&
                "edy-direct".Equals(paramServiceOptionType) == false &&
                "waon-pc".Equals(paramServiceOptionType) == false &&
                "waon-mobile".Equals(paramServiceOptionType) == false &&
                String.IsNullOrEmpty(paramSettlementLimit))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：決済期限が指定されていません</b></font><br/><br/>";
                return;
            }

            
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 画面入力値を実行クラスに渡すためにセッションに設定します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Session["paramServiceOptionType"] = paramServiceOptionType;
            Session["paramOrderKind"] = paramOrderKind;
            Session["paramAmount"] = paramAmount;
            Session["paramOrderId"] = paramOrderId;
            Session["paramRefundOrderId"] = paramRefundOrderId;
            Session["paramSettlementLimit"] = paramSettlementLimit;
            Session["paramScreenTitle"] = paramScreenTitle;

            
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 実行＆結果画面を表示します
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Response.Redirect("./RefundExec.aspx", true);

            return;
        }
    }
}
