﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Authorize.aspx.cs" Inherits="web.linepay.Authorize" %>

<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
    <meta http-equiv="Content-Language" content="ja" />
    <title>VeriTrans 4G - LINE Pay与信サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css" />
    <script language="JavaScript" type="text/javascript">

        function changePaymentConfirmType() {
            var obj = document.Form1.elements;
            var index = obj.paymentConfirmType.selectedIndex;
            if (index == 1) {
                obj.successUrl.value = "";
                obj.cancelUrl.value = "";
                obj.errorUrl.value = "";
            } else {
                if (obj.successUrl.value == "") {
                    obj.successUrl.value = obj.hidSuccessUrl.value;
                }
                if (obj.cancelUrl.value == "") {
                    obj.cancelUrl.value = obj.hidCancelUrl.value;
                }
                if (obj.errorUrl.value == "") {
                    obj.errorUrl.value = obj.hidErrorUrl.value;
                }
            }
        }

        // onLoadイベント
        window.onload= function() {
            changePaymentConfirmType();
        }
        //-->

    </script>
</head>
<body>
    <img src="../WEB-IMG/VeriTrans_Payment.png" alt="Paymentロゴ" /><hr />
    <div class="system-message">
        <font size="2">本画面はVeriTrans4G LINE Pay与信サンプル画面です。<br />
            お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br />
            また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br />
        </font>
    </div>
    <asp:Label ID="errorMessage" runat="server" />
    <table>
        <tr>
            <td>
                <div class="lhtitle">LINE Pay：決済請求</div>
            </td>
            <td>
                <img src="../WEB-IMG/linepay.png" alt="" border="0"/>
            </td>
            <td width="20">
                <br />
            </td>
        </tr>
    </table>
    <form id="Form1" name="FORM_LINEPAY" method="post" runat="server">
    <table border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td class="ititletop">
                取引ID
            </td>
            <td class="ivaluetop">
                <asp:Label ID="orderId" runat="server" />&nbsp;&nbsp;
                <asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" OnClick="btnReplaceOrderId_Click" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                金額
            </td>
            <td class="ivalue">
                <asp:TextBox ID="amount" runat="server" MaxLength="8" size="9" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                与信方法
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="withCapture" runat="server" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                商品番号
            </td>
            <td class="ivalue">
                <asp:TextBox ID="itemId" runat="server" MaxLength="18" size="20" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                商品名
            </td>
            <td class="ivalue">
                <asp:TextBox ID="itemName" runat="server" MaxLength="4000" size="40" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                商品画像URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="itemImageUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                使用ブラウザ判定
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="checkUseBrowser" runat="server" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                アプリ起動URLスキーム
            </td>
            <td class="ivalue">
                <asp:TextBox ID="appUrlScheme" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                独自アプリ起動時のオプション指定
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="useOriginalApp" runat="server" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                packageName
            </td>
            <td class="ivalue">
                <asp:TextBox ID="packageName" runat="server" MaxLength="4000" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済完了時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="successUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済キャンセル時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="cancelUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済エラー時URL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="errorUrl" runat="server" MaxLength="256" size="70" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                決済確認方法
            </td>
            <td class="ivalue">
                <asp:DropDownList ID="paymentConfirmType" runat="server" onChange="changePaymentConfirmType()" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                ワンタイムキー
            </td>
            <td class="ivalue">
                <asp:TextBox ID="oneTimeKey" runat="server" MaxLength="12" size="20" />
            </td>
        </tr>
        <tr>
            <td class="ititle">
                プッシュURL
            </td>
            <td class="ivalue">
                <asp:TextBox ID="pushUrl" runat="server" MaxLength="256" size="70" />
                <br />
                <font size="2" color="red">※ダミー決済の場合のみ指定可能</font>
            </td>
        </tr>
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
        <tr>
            <td colspan="2">
            <asp:Button runat="server" ID="btnSubmit" OnClick="btnSubmit_Click" Text="購入" />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font>
            </td>
        </tr>
    </table>
    <asp:HiddenField ID="hidSuccessUrl" runat="server" />
    <asp:HiddenField ID="hidCancelUrl" runat="server" />
    <asp:HiddenField ID="hidErrorUrl" runat="server" />
    </form>
    <a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;
    <hr />
    <img alt='VeriTransロゴ' src='../WEB-IMG/VeriTransLogo_WH.png' />&nbsp; Copyright &copy; VeriTrans Inc.
    All rights reserved
</body>
</html>
