﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MdkSampleDotNet;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;
using System.Collections.Specialized;


namespace web.masterpass
{
    public partial class Authorize : System.Web.UI.Page
    {
        public String Warning { get; set; }

        /// <summary>
        /// 初期表示イベント。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                orderId.Text = Request["orderId"];
                cardNumber.Text = Request["cardNumber"];
                shippingName.Text = Request["shippingName"];
                shippingPhone.Text = Request["shippingPhone"];
                shippingCity.Text = Request["shippingCity"];
                shippingCountry.Text = Request["shippingCountry"];
                shippingCountrySubdivision.Text = Request["shippingCountrySubdivision"];
                shippingAddress1.Text = Request["shippingAddress1"];
                shippingAddress2.Text = Request["shippingAddress2"];
                shippingAddress3.Text = Request["shippingAddress3"];
                shippingPostalCode.Text = Request["shippingPostalCode"];
                dummyRequest.Value = MerchantContext.Config.GetValue(MerchantConfig.DUMMY_REQUEST);

                withCapture.Items.Add(new ListItem("Authorize Only 与信のみ(与信成功後に売上処理を行う必要があります)", MdkServiceConstants.MASTERPASS_AUTH_ONLY));
                withCapture.Items.Add(new ListItem("Authorize & Capture 与信売上(与信と同時に売上処理も行います)", MdkServiceConstants.MASTERPASS_AUTH_WITH_CAPTURE));

                String merchantId = MerchantContext.Config.GetValue(MerchantConfig.MERCHANT_CC_ID);
                String merchantPw = MerchantContext.Config.GetValue(MerchantConfig.MERCHANT_SECRET_KEY);

                // パラメータ改ざんチェック
                if (!AuthHashUtil.CheckAuthHash(Request.Params, merchantId, merchantPw))
                {
                    errorMessage.Text = "<font color='#ff0000'><b>Parameter is altered dishonestly<br>(【パラメータ改竄】パラメータ情報が改竄されています。)</b></font>";
                }
            }
        }

        /// <summary>
        /// 購入ボタンイベント
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 取引IDの取得
            String paramOrderId = orderId.Text;
            // 金額の取得
            String paramAmount = amount.Text;
            // 与信同時売上フラグの取得
            String paramWithCapture = withCapture.SelectedValue;

            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            if (String.IsNullOrEmpty(paramOrderId))
            {
                errorMessage.Text = "<font color='#ff0000'><b>Unset Order Id<br>(必須項目：取引IDが指定されていません)</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramAmount))
            {
                errorMessage.Text = "<font color='#ff0000'><b>Unset Amount<br>(必須項目：金額が指定されていません)</b></font><br/><br/>";
                return;
            }

            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 画面入力値を実行クラスに渡すためにセッションに設定します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Session["paramOrderId"] = paramOrderId;
            Session["paramAmount"] = paramAmount;
            Session["paramWithCapture"] = paramWithCapture;
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 実行＆結果画面を表示します
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            Response.Redirect("./AuthorizeExec.aspx", true);

        }

    }
}
