﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Authorize.aspx.cs" Inherits="MdkSampleDotNet.mpi.Authorize" %>

<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>VeriTrans 4G - カード決済与信(3D認証付き)サンプル画面</title>
    <link href="../css/style.css" rel="stylesheet" type="text/css"/>
    <script language="JavaScript" type="text/javascript">
        function jpoChk(jpoObj) {
            var val = jpoObj.value;
            if (val.length == 1) {
                if (isNaN(val) == false) {
                    jpoObj.value = "0" + jpoObj.value;
                }
            }
        }

        document.addEventListener('DOMContentLoaded', function () {
            document.getElementById('btnSubmit').addEventListener('click', function () {
                var data = {};
                data.token_api_key = document.getElementById('tokenApiKey').innerText;
                if (document.getElementById('cardNumber')) {
                    data.card_number = document.getElementById('cardNumber').value;
                }
                if (document.getElementById('cc-exp')) {
                    data.card_expire = document.getElementById('cc-exp').value;
                }
                if (document.getElementById('cc-csc')) {
                    data.security_code = document.getElementById('cc-csc').value;
                }
                data.lang = "ja";

                var url = document.getElementById('tokenApiUrl').innerText;

                var xhr = new XMLHttpRequest();
                xhr.open('POST', url, true);
                xhr.setRequestHeader('Accept', 'application/json');
                xhr.setRequestHeader('Content-Type', 'application/json; charset=utf-8');
                xhr.addEventListener('loadend', function () {
                    if (xhr.status === 0) {
                        alert("トークンサーバーとの接続に失敗しました");
                        return;
                    }
                    var response = JSON.parse(xhr.response);
                    if (xhr.status == 200) {
                        document.getElementById('cardNumber').value = "";
                        document.getElementById('cc-exp').value = "";
                        document.getElementById('cc-csc').value = "";
                        document.getElementById('token').value = response.token;
                        document.getElementById('btnSubmitHidden').click();
                    }
                    else {
                        alert(response.message);
                    }

                });
                xhr.send(JSON.stringify(data));
            });
        });
    </script>
</head>
<body>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png' /><hr/>
<div class="system-message">
    <span style="font-size: small;">
        本画面はVeriTrans4G カード決済与信(3D認証付き)の取引サンプル画面です。<br/>
        お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
        また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
    </span>
</div>

<asp:Label ID="errorMessage" runat="server"/>

<table style="border-width: 0; padding: 0; border-collapse: collapse;">
    <tr>
        <td class="ptitle">
            <div class="lhtitle">カード決済与信(3D認証付き)：決済請求</div>
        </td>
        <td class="pcxts">
            <img alt="LOGO" src='../WEB-IMG/MPI_VerifiedByVisa.png' />
            <img alt="LOGO" src='../WEB-IMG/MPI_MasterSecureCode.png' />
            <img alt="LOGO" src='../WEB-IMG/MPI_JSecure.png' />
        </td>
    </tr>
</table>

<form id="Form1" name="FORM_MPI" method="post" runat="server">
    <table style="border-width: 0; padding: 0; border-collapse: collapse;">
        <tr>
            <td class="ititlecommon">取引ID</td>
            <td class="ivaluecommon">
                <asp:Label ID="orderId" runat="server"/>
                &nbsp;&nbsp;<asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" onclick="btnReplaceOrderId_Click" />
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">決済金額</td>
            <td class="ivaluecommon">
                <asp:TextBox ID="amount" runat="server" maxlength="8" size="9" />
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">決済種別</td>
            <td class="ivaluecommon">
                <asp:DropDownList runat="server" ID="paymentMode">
                    <asp:ListItem Value="1">1: 3D-Secure認証のみ(決済しない)</asp:ListItem>
                    <asp:ListItem Value="2">2: 完全認証(3D-Secure認証が完全に成功した場合のみ決済する)</asp:ListItem>
                    <asp:ListItem Value="3">3: 通常認証(カード会社リスク負担にて決済する)</asp:ListItem>
                    <asp:ListItem Value="4">4: 通常認証(カード会社か加盟店リスク負担にて決済する)</asp:ListItem>
                </asp:DropDownList><br/>
                &nbsp;&nbsp;<span style="font-size:small;color:red;">※この項目は消費者が選択せず、内部的に設定いただく項目です。</span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">与信方法</td>
            <td class="ivaluecommon">
                <asp:DropDownList ID="withCapture" runat="server">
                    <asp:ListItem Value="0">与信のみ(与信成功後に売上処理を行う必要があります)</asp:ListItem>
                    <asp:ListItem Value="1">与信売上(与信と同時に売上処理も行います)</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">クレジットカード番号</td>
            <td class="ivaluecommon">
                <input id="cardNumber" type="tel" x-autocompletetype="cc-number" autocompletetype="cc-number" autocorrect="off" spellcheck="off" autocapitalize="off" maxlength="19" size="19">
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">有効期限</td>
            <td class="ivaluecommon">
                <input id="cc-exp" type="tel" x-autocompletetype="off" autocompletetype="off" autocorrect="off" spellcheck="off" autocapitalize="off" placeholder="MM/YY" maxlength="5" size="5">
                &nbsp;&nbsp;<span style="font-size: small; color: red;">※形式：MM/YY</span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">支払方法</td>
            <td class="ivaluecommon">
                <asp:DropDownList ID="jpo1" runat="server">
                    <asp:ListItem Value="10">一括払い(支払回数の設定は不要)</asp:ListItem>
                    <asp:ListItem Value="61">分割払い(支払回数を設定してください)</asp:ListItem>
                    <asp:ListItem Value="80">リボ払い(支払回数の設定は不要)</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">支払回数</td>
            <td class="ivaluecommon">
                <asp:TextBox ID="jpo2" runat="server"  maxlength="2" size="3" onBlur="jpoChk(this);" />
                &nbsp;&nbsp;<span style="font-size:small;color:red;">※一桁の場合は数値の前に&quot;0&quot;をつけてください。&nbsp;&nbsp;例：01</span>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">セキュリティコード</td>
            <td class="ivaluecommon">
                <input id="cc-csc" type="tel" autocomplete="off" autocorrect="off" spellcheck="off" autocapitalize="off" maxlength="4" size="4">
                &nbsp;&nbsp;<span style="font-size: small; color: red;">※必要な場合は入力してください。</span>
        </tr>
        <tr>
            <td class="ititlecommon">プッシュ通知先URL</td>
            <td class="ivaluecommon">
                <asp:TextBox runat="server" ID="pushUrl" MaxLength="256" size="70"></asp:TextBox><br/>
                <span style="font-size:small;color:red;">※必要な場合は入力してください。</span>
            </td>
        </tr>
        <tr>
            <td class="thlToken" colspan="2">
                MDKトークン設定情報
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">トークンAPIキー</td>
            <td class="ivaluecommon">
                <asp:Label runat="server" ID="tokenApiKey"></asp:Label>
            </td>
        </tr>
        <tr>
            <td class="ititlecommon">トークンAPI URL</td>
            <td class="ivaluecommon">
                <asp:Label runat="server" ID="tokenApiUrl"></asp:Label>
            </td>
        </tr>
        <tr><td colspan="2">&nbsp;</td></tr>
        <tr>
            <td colspan="2">
                <button id="btnSubmit" onclick="return false;">購入</button>
                &nbsp;&nbsp;<span style="font-size: small; color: red">※2回以上クリックしないでください。</span>
                <asp:Button ID="btnSubmitHidden" OnClick="btnSubmit_Click" runat="server" style="visibility:hidden" />
            </td>
        </tr>
    </table>
    <asp:HiddenField ID="token" runat="server" />
</form>

<br/>
<a href="../PaymentMethodSelect.aspx">決済サンプルのトップメニューへ戻る</a>&nbsp;&nbsp;

<hr/>
<img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
