<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="ReAuthorize.aspx.cs" Inherits="MdkSampleDotNet.mpi.ReAuthorize" %>

<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta http-equiv="Content-Language" content="ja" />
<title>VeriTrans 4G - カード決済再与信(3D認証付き)サンプル画面</title>
<link href="../css/style.css" rel="stylesheet" type="text/css"/>
<script language="JavaScript" type="text/javascript" src="../js/ad_script.js"></script>
<script language="JavaScript" type="text/javascript">
function jpoChk(jpoObj) {
    var val = jpoObj.value;
    if (val.length == 1) {
        if (isNaN(val) == false) {
            jpoObj.value = "0" + jpoObj.value;
        }
    }
}
</script>
</head>
<body>
<img alt='Paymentロゴ' src='../WEB-IMG/VeriTrans_Payment.png'><hr/>
<div class="system-message">
<font size="2">
本画面はVeriTrans4G カード決済再与信(3D認証付き)の取引サンプル画面です。<br/>
お客様ECサイトのショッピングカートとVeriTrans4Gとを連動させるための参考、例としてご利用ください。<br/>
また、本画面では基本的なパラメータのみを表示させていますので、開発ガイドも合わせてご参照してください。<br/>
</font>
</div>

<asp:Label ID="errorMessage" runat="server"/>

<table>
<tr>
  <td class="ptitle"><div class="lhtitle">カード決済(3D認証付き)：再与信請求</div></td>
  <td class="pcxts">
    <img src='../WEB-IMG/MPI_VerifiedByVisa.png'>
    <img src='../WEB-IMG/MPI_MasterSecureCode.png'>
    <img src='../WEB-IMG/MPI_JSecure.png'>
  </td>
</tr>
</table>

<table border="0" cellpadding="0" cellspacing="0">
<form name="FORM_MPI" method="post" runat="server">
<tr>
  <td class="ititletop">取引ID</td>
  <td class="ivaluetop"><asp:Label ID="orderId" runat="server"/>&nbsp;&nbsp;<asp:Button ID="btnReplaceOrderId" runat="server" Text="取引ID更新" onclick="btnReplaceOrderId_Click" /></td>
</tr>
<tr>
  <td class="ititle">元取引ID</td>
  <td class="ivalue"><asp:TextBox ID="originalOrderId" runat="server" maxlength="100" size="30" /></td>
</tr>
<tr>
  <td class="ititle">決済金額</td>
  <td class="ivalue"><asp:TextBox ID="amount" runat="server" maxlength="8" size="9" /></td>
</tr>
<tr>
  <td class="ititle">決済種別</td>
  <td class="ivalue">
    <asp:DropDownList runat="server" ID="paymentMode">
        <asp:ListItem Value="1">1: 3D-Secure認証のみ(決済しない)</asp:ListItem>
        <asp:ListItem Value="2">2: 完全認証(3D-Secure認証が完全に成功した場合のみ決済する)</asp:ListItem>
        <asp:ListItem Value="3">3: 通常認証(カード会社リスク負担にて決済する)</asp:ListItem>
        <asp:ListItem Value="4">4: 通常認証(カード会社か加盟店リスク負担にて決済する)</asp:ListItem>
    </asp:DropDownList><br>
    &nbsp;&nbsp;<font size="2" color="red">※この項目は消費者が選択せず、内部的に設定いただく項目です。</font>
  </td>
</tr>
<tr>
  <td class="ititle">与信方法</td>
  <td class="ivalue">
    <asp:DropDownList ID="withCapture" runat="server">
        <asp:ListItem Value="0">与信のみ(与信成功後に売上処理を行う必要があります)</asp:ListItem>
        <asp:ListItem Value="1">与信売上(与信と同時に売上処理も行います)</asp:ListItem>
    </asp:DropDownList>
  </td>
</tr>
<tr>
  <td class="ititle">支払方法</td>
  <td class="ivalue">
    <asp:DropDownList ID="jpo1" runat="server">
        <asp:ListItem Value="10">一括払い(支払回数の設定は不要)</asp:ListItem>
        <asp:ListItem Value="61">分割払い(支払回数を設定してください)</asp:ListItem>
        <asp:ListItem Value="80">リボ払い(支払回数の設定は不要)</asp:ListItem>
    </asp:DropDownList>
  </td>
</tr>
<tr>
  <td class="ititle">支払回数</td>
  <td class="ivalue"><asp:TextBox ID="jpo2" runat="server" maxlength="2" size="3" onBlur="jpoChk(this);" />&nbsp;&nbsp;<font size="2" color="red">※一桁の場合は数値の前に&quot;0&quot;をつけてください。&nbsp;&nbsp;例：01</font></td>
</tr>
<tr>
  <td class="ititle">セキュリティコード</td>
  <td class="ivalue"><asp:TextBox ID="securityCode" runat="server" maxlength="4" size="5" />&nbsp;&nbsp;<font size="2" color="red">※必要な場合は入力してください。</font></td>
</tr>
<tr>
    <td class="ititle">プッシュ通知先URL</td>
    <td class="ivalue">
        <asp:TextBox runat="server" ID="pushUrl" MaxLength="256" size="70"></asp:TextBox><br>
        &nbsp;&nbsp;<font size="2" color="red">※必要な場合は入力してください。</font>
    </td>
</tr>
<tr><td colspan="2">&nbsp;</td></tr>
<tr><td colspan="2"><asp:Button ID="btnSubmit" runat="server" Text="購入" onclick="btnSubmit_Click" />&nbsp;&nbsp;<font size="2" color="red">※２回以上クリックしないでください。</font></td></tr>
</form>
</table>

<br/>
<a href="../AdminMenu.aspx">管理メニューへ戻る</a>&nbsp;&nbsp;

<hr/>
<img alt="VeriTransロゴ" src="../WEB-IMG/VeriTransLogo_WH.png"/>&nbsp; Copyright &copy; VeriTrans Inc. All rights reserved
</body>
</html>
