﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;
using System.Reflection;
using jp.veritrans.tercerog.sample.util;
using System.Text;

namespace MdkSampleDotNet.oricosc
{
    public partial class AuthorizeExec : System.Web.UI.Page
    {
        private bool displayContent = true;

        public bool DisplayContent
        {
            get { return this.displayContent; }
            set { this.displayContent = value; }
        }

        /// <summary>
        /// 初期表示イベント。
        /// パラメータを元に、GWと通信を行う。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramOrderId = (String)Session["orderId"];
            String paramOricoOrderNo = (String)Session["oricoOrderNo"];
            String paramUserNo = (String)Session["userNo"];
            String paramShippingZipCode = (String)Session["shippingZipCode"];
            String paramHandlingContractNo = (String)Session["handlingContractNo"];
            String paramContractDocumentKbn = (String)Session["contractDocumentKbn"];
            String paramWebDescriptionId = (String)Session["webDescriptionId"];
            String paramItemName1 = (String)Session["itemName1"];
            String paramItemCount1 = (String)Session["itemCount1"];
            String paramItemAmount1 = (String)Session["itemAmount1"];
            String paramItemName2 = (String)Session["itemName2"];
            String paramItemCount2 = (String)Session["itemCount2"];
            String paramItemAmount2 = (String)Session["itemAmount2"];
            String paramItemName3 = (String)Session["itemName3"];
            String paramItemCount3 = (String)Session["itemCount3"];
            String paramItemAmount3 = (String)Session["itemAmount3"];
            String paramItemName4 = (String)Session["itemName4"];
            String paramItemCount4 = (String)Session["itemCount4"];
            String paramItemAmount4 = (String)Session["itemAmount4"];
            String paramItemName5 = (String)Session["itemName5"];
            String paramItemCount5 = (String)Session["itemCount5"];
            String paramItemAmount5 = (String)Session["itemAmount5"];
            String paramTotalItemAmount = (String)Session["totalItemAmount"];
            String paramTotalCarriage = (String)Session["totalCarriage"];
            String paramAmount = (String)Session["amount"];
            String paramDeposit = (String)Session["deposit"];


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            OricoscAuthorizeRequestDto requestData = new OricoscAuthorizeRequestDto();
            // 取引ID
            requestData.OrderId = paramOrderId;
            // 注文番号
            requestData.OricoOrderNo = paramOricoOrderNo;
            // 会員番号(加盟店)
            requestData.UserNo = paramUserNo;
            // 商品名１
            requestData.ItemName1 = paramItemName1;
            // 数量１
            requestData.ItemCount1 = paramItemCount1;
            // 商品価格１(税込)
            requestData.ItemAmount1 = paramItemAmount1;
            // 商品名２
            requestData.ItemName2 = paramItemName2;
            // 数量２
            requestData.ItemCount2 = paramItemCount2;
            // 商品価格２(税込)
            requestData.ItemAmount2 = paramItemAmount2;
            // 商品名３
            requestData.ItemName3 = paramItemName3;
            // 数量３
            requestData.ItemCount3 = paramItemCount3;
            // 商品価格３(税込)
            requestData.ItemAmount3 = paramItemAmount3;
            // 商品名４
            requestData.ItemName4 = paramItemName4;
            // 数量４
            requestData.ItemCount4 = paramItemCount4;
            // 商品価格４(税込)
            requestData.ItemAmount4 = paramItemAmount4;
            // 商品名５
            requestData.ItemName5 = paramItemName5;
            // 数量５
            requestData.ItemCount5 = paramItemCount5;
            // 商品価格５(税込)
            requestData.ItemAmount5 = paramItemAmount5;
            // 商品価格合計(税込)
            requestData.TotalItemAmount = paramTotalItemAmount;
            // 送料合計(税込)
            requestData.TotalCarriage = paramTotalCarriage;
            // 支払金額合計
            requestData.Amount = paramAmount;
            // 頭金
            requestData.Deposit = paramDeposit;
            // 配送先郵便番号
            requestData.ShippingZipCode = paramShippingZipCode;
            // マーチャントリダイレクションURL
            requestData.MerchantRedirectionUrl = MdkSampleDotNet.Utils.getXPath(MdkSampleDotNet.SampleConstants.ORICOSC_REDIRECTION_URL_PC);
            // 取扱契約番号
            requestData.HandlingContractNo = paramHandlingContractNo;
            // 契約書有無区分
            requestData.ContractDocumentKbn = paramContractDocumentKbn;
            // WEB申込商品ID
            requestData.WebDescriptionId = paramWebDescriptionId;

            try
            {
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // コマンドを実行し、応答DTOを取得します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                Transaction tran = new Transaction();
                OricoscAuthorizeResponseDto responseData = (OricoscAuthorizeResponseDto)tran.Execute(requestData);

                if ("success".Equals(responseData.Mstatus))
                {
                    // IEを使用時はHTTPレスポンスのContent-Typeに"Shift-JIS"を指定してください。
                    String charset = "Shift-JIS";
                    Response.ContentType = "text/html; charset=" + charset;
                    Response.Charset = charset;
                    Response.ContentEncoding = Encoding.GetEncoding(charset);
                    Response.Write(responseData.ResResponseContents);
                    displayContent = false;
                }
                else
                {
                    Response.Charset = "UTF-8";
                    OrderId.Text = responseData.OrderId;
                    Mstatus.Text = responseData.Mstatus;
                    MerrMsg.Text = responseData.MerrMsg;
                    VResultCode.Text = responseData.VResultCode;
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine("Exception Occured !");
                Console.WriteLine("Exception Message: " + ex.Message);
                MerrMsg.Text = "Exception Occured : " + ex.Message;
            }
            Session.Clear();
        }
    }
}
