﻿using System;
using System.Web.UI;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace web.paynowid
{
    public partial class AccountWithdrawExec : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string accountId = (Session["accountId"] != null) ? Session["accountId"].ToString() : null;
            string deleteDate = (Session["deleteDate"] != null) ? Session["deleteDate"].ToString() : null;

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメタから取得した値を設定
            var reqDto = new AccountDeleteRequestDto
                {
                    AccountId = accountId, // 会員ID設定
                    DeleteDate = deleteDate // 退会年月日設定
                };

            /* ******************** */
            /* 強制退会する場合に設定    */
            /* ******************** */
            //accountBasicParam.ForceWithdraw = forceWithdraw;

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            var transaction = new Transaction();
            var resDto = (AccountDeleteResponseDto)transaction.Execute(reqDto);

            if (resDto.PayNowIdResponse != null)
            {
                PayNowIdProcId.Text = resDto.PayNowIdResponse.ProcessId;
                PayNowIdStatus.Text = resDto.PayNowIdResponse.Status;
            }
            VResultCode.Text = resDto.VResultCode;
            MErrMsg.Text = resDto.MerrMsg;

        }
    }
}
