﻿using System;
using System.Web.UI;
using MdkSampleDotNet;

namespace web.paynowid
{
    public partial class CardAuthorize : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                OrderId.Text = "dummy" + Utils.CurrentTimeMillis();
                Amount.Text = Request.QueryString["price"];

                if (Session["warning"] != null)
                {
                    ErrorMessage.Text = Session["warning"].ToString();
                    Session.Remove("warning");
                }
            }
        }

        protected void btnReplaceOrderId_Click(object sender, EventArgs e)
        {
            OrderId.Text = "dummy" + Utils.CurrentTimeMillis();
        }

        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 取引ID
            String orderId = OrderId.Text;
            // 金額
            String amount = Amount.Text;
            // 与信方法
            String withCapture = WithCapture.SelectedValue;
            // 会員ID
            String accountId = AccountId.Text;


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++

            if (String.IsNullOrEmpty(orderId))
            {
                ErrorMessage.Text = "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font>";
                return;
            }
            if (String.IsNullOrEmpty(amount))
            {
                ErrorMessage.Text = "<font color='#ff0000'><b>必須項目：金額が指定されていません</b></font>";
                return;
            }
            if (string.IsNullOrEmpty(accountId))
            {
                ErrorMessage.Text = "<font color='#ff0000'><b>必須項目：会員IDが指定されていません</b></font>";
                return;
            }

            Session["orderId"] = orderId;
            Session["amount"] = amount;
            Session["withCapture"] = (!String.IsNullOrEmpty(withCapture)) ? withCapture : null;
            Session["accountId"] = accountId;

            Response.Redirect("./CardAuthorizeSelect.aspx", true);

        }
    }
}
