﻿using System;
using System.Web.UI;
using jp.veritrans.tercerog.mdk.dto;

namespace web.paynowid
{
    public partial class CardAuthorizeExec : Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                if (Session["selectedCardInfo"] != null)
                {
                    var cardInfo = (CardInfo) Session["selectedCardInfo"];
                    var cardSelect = (Session["cardSelect"] != null) ? Session["cardSelect"].ToString() : null;
                    if (cardInfo != null && !String.IsNullOrEmpty(cardSelect))
                    {
                        CardNumber.Visible = false;
                        CardNumberLabel.Visible = true;
                        CardExpire.Visible = false;
                        CardExpireLabel.Visible = true;
                        CardNumberLabel.Text = cardInfo.CardNumber;
                        CardExpireLabel.Text = cardInfo.CardExpire;
                    }
                    else
                    {
                        CardNumber.Visible = true;
                        CardNumberLabel.Visible = false;
                        CardExpire.Visible = true;
                        CardExpireLabel.Visible = false;
                    }
                }
            }
        }

        protected void Exec_Click(object sender, EventArgs e)
        {
            Session["secureCd"] = (!String.IsNullOrEmpty(SecureCd.Text)) ? SecureCd.Text : null;
            Session["jpo1"] = (!String.IsNullOrEmpty(Jpo1.SelectedValue)) ? Jpo1.SelectedValue : null;
            Session["jpo2"] = (!String.IsNullOrEmpty(Jpo2.Text)) ? Jpo2.Text : null;

            if (Session["selectedCardInfo"] == null)
            {
                // カード登録をする場合
                Session["cardNumber"] = CardNumber.Text;
                Session["cardExpire"] = CardExpire.Text;
            }
            else
            {
                // 登録済みのカードを利用する場合
                Session.Remove("cardNumber");
                Session.Remove("cardExpire");
            }

            Response.Redirect("./CardAuthorizeExec.aspx", true);

        }
    }
}
