﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace web.paynowid
{
    public partial class CardManageExec : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            var execMode = (Session["execMode"] != null) ? Session["execMode"].ToString() : "";
            var accountId = (Session["accountId"] != null) ? Session["accountId"].ToString() : null;
            var cardSelect = (Session["cardSelect"] != null) ? Session["cardSelect"].ToString() : null;
            String token = Session["paramToken"].ToString();

            switch (execMode)
            {
                case "2":
                    DeleteCard(accountId, cardSelect);
                    break;
                case "3":
                    AddCard(accountId, token);
                    break;
                default:
                    UpdateCard(accountId, cardSelect, token);
                    break;
            }
        }


        private void AddCard(string accountId, String token)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            var reqDto = new CardInfoAddRequestDto
            {
                AccountId = accountId,
                Token = token
            };

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            var tran = new Transaction();
            var resDto = (CardInfoAddResponseDto) tran.Execute(reqDto);
            if (resDto.PayNowIdResponse != null)
            {
                PayNowIdProcId.Text = resDto.PayNowIdResponse.ProcessId;
                PayNowIdStatus.Text = resDto.PayNowIdResponse.Status;
            }
            VResultCode.Text = resDto.VResultCode;
            MErrMsg.Text = resDto.MerrMsg;
        }


        private void DeleteCard(string accountId, string cardSelect)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            var reqDto = new CardInfoDeleteRequestDto
                {
                    AccountId = accountId,
                    CardId = cardSelect
                };

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            var tran = new Transaction();
            var resDto = (CardInfoDeleteResponseDto) tran.Execute(reqDto);
            if (resDto.PayNowIdResponse != null)
            {
                PayNowIdProcId.Text = resDto.PayNowIdResponse.ProcessId;
                PayNowIdStatus.Text = resDto.PayNowIdResponse.Status;
            }
            VResultCode.Text = resDto.VResultCode;
            MErrMsg.Text = resDto.MerrMsg;
        }

        private void UpdateCard(String accountId, String cardSelect, String token)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            var reqDto = new CardInfoUpdateRequestDto
            {
                AccountId = accountId,
                CardId = cardSelect,
                Token = token
            };

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            var tran = new Transaction();
            var resDto = (CardInfoUpdateResponseDto) tran.Execute(reqDto);
            if (resDto.PayNowIdResponse != null)
            {
                PayNowIdProcId.Text = resDto.PayNowIdResponse.ProcessId;
                PayNowIdStatus.Text = resDto.PayNowIdResponse.Status;
            }
            VResultCode.Text = resDto.VResultCode;
            MErrMsg.Text = resDto.MerrMsg;
        }

    }
}
