﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace web.paynowid
{
    public partial class MpiAuthorizeSelect : Page
    {
        private CardInfo[] _cardInfos;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {

                if (Session["accountId"] != null && !String.IsNullOrEmpty(Session["accountId"].ToString()))
                {
                    // Dtoの生成
                    var reqDto = new CardInfoGetRequestDto { AccountId = Session["accountId"].ToString() };
                    // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                    // コマンドを実行し、応答DTOを取得します。
                    // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                    var tran = new Transaction();
                    var resDto = (CardInfoGetResponseDto)tran.Execute(reqDto);

                    if (resDto.Mstatus == "success")
                    {
                        _cardInfos = resDto.PayNowIdResponse.Account.CardInfo;
                        Session["cardInfos"] = _cardInfos;
                        CardIdList.DataSource = _cardInfos;
                        CardIdList.DataBind();
                    }
                }
            }
        }

        // カードを選択した場合
        protected void SelectCard(object sender, CommandEventArgs e)
        {
            String cardSelect = e.CommandArgument.ToString();
            _cardInfos = (CardInfo[])Session["cardInfos"];
            foreach (var cardInfo in _cardInfos)
            {
                if (cardInfo.CardId == cardSelect)
                {
                    Session["selectedCardInfo"] = cardInfo;
                    break;
                }
            }
            Session["cardSelect"] = cardSelect;
            Response.Redirect("./MpiAuthorizeInput.aspx", true);
        }

        // 別のカードを入力する場合
        protected void OtherCard(object sender, EventArgs e)
        {
            Session.Remove("cardSelect");
            Session.Remove("selectedCardInfo");
            Response.Redirect("./MpiAuthorizeInput.aspx", true);
        }




    }
}
