﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace web.paynowid
{
    public partial class RecurringTerminateExec : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            String accountId = (Session["accountId"] != null) ? Session["accountId"].ToString() : null;
            String endDate = (Session["endDate"] != null) ? Session["endDate"].ToString() : null;
            String groupId = (Session["groupId"] != null) ? Session["groupId"].ToString() : null;
            String finalCharge = (Session["finalCharge"] != null) ? Session["finalCharge"].ToString() : null;

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            var reqDto = new RecurringDeleteRequestDto
            {
                AccountId = accountId, // 会員ID
                EndDate = endDate, // 課金終了日設定
                GroupId = groupId, // 課金グループID
                FinalCharge = finalCharge // 次回課金自動終了フラグ
            };

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            var tran = new Transaction();
            var resDto = (RecurringDeleteResponseDto)tran.Execute(reqDto);

            if (resDto.PayNowIdResponse != null)
            {
                PayNowIdProcId.Text = resDto.PayNowIdResponse.ProcessId;
                PayNowIdStatus.Text = resDto.PayNowIdResponse.Status;
            }

            VResultCode.Text = resDto.VResultCode;
            MErrMsg.Text = resDto.MerrMsg;


        }
    }
}
