﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace MdkSampleDotNet.paypal
{
    public partial class AuthorizeInit : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramOrderId = (String)Session["paramOrderId"];
            String paramAmount = (String)Session["paramAmount"];
            String paramPaymentAction = (String)Session["paramPaymentAction"];


            if ("authorize".Equals(paramPaymentAction))
            {
                // 与信のみ

                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // 要求DTOを生成し、値を設定します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                PaypalAuthorizeRequestDto requestData = new PaypalAuthorizeRequestDto();
                requestData.OrderId = paramOrderId;
                requestData.Amount = paramAmount;
                requestData.Action = "set";
                requestData.ReturnUrl = Utils.getXPath(SampleConstants.PAYPAL_DEFAULT_RETURN_PAGE);
                requestData.CancelUrl = Utils.getXPath(SampleConstants.PAYPAL_DEFAULT_CANCEL_PAGE);
                requestData.ShippingFlag = "0"; // 配送情報有無　1：有/0:無


                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // コマンドを実行し、応答DTOを取得します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                Transaction tran = new Transaction();
                PaypalAuthorizeResponseDto responseData = (PaypalAuthorizeResponseDto)tran.Execute(requestData);


                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // 結果画面に表示します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                if ("success".Equals(responseData.Mstatus))
                {
                    // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    // Paypalログイン画面へ
                    // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    Response.Redirect(responseData.LoginUrl, true);
                }
                else
                {
                    OrderId.Text = responseData.OrderId;
                    Mstatus.Text = responseData.Mstatus;
                    VResultCode.Text = responseData.VResultCode;
                    MerrMsg.Text = responseData.MerrMsg;
                }
            }
            else
            {
                // 与信同時売上

                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // 要求DTOを生成し、値を設定します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                PaypalCaptureRequestDto requestData = new PaypalCaptureRequestDto();
                requestData.OrderId = paramOrderId;
                requestData.Amount = paramAmount;
                requestData.Action = "set";
                requestData.ReturnUrl = Utils.getXPath(SampleConstants.PAYPAL_DEFAULT_RETURN_PAGE);
                requestData.CancelUrl = Utils.getXPath(SampleConstants.PAYPAL_DEFAULT_CANCEL_PAGE);
                requestData.ShippingFlag = "0"; // 配送情報有無　1：有/0:無


                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // コマンドを実行し、応答DTOを取得します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                Transaction tran = new Transaction();
                PaypalCaptureResponseDto responseData = (PaypalCaptureResponseDto)tran.Execute(requestData);


                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // 結果画面に表示します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                if ("success".Equals(responseData.Mstatus))
                {
                    // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    // Paypalログイン画面へ
                    // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
                    Response.Redirect(responseData.LoginUrl, true);
                }
                else
                {
                    OrderId.Text = responseData.OrderId;
                    Mstatus.Text = responseData.Mstatus;
                    VResultCode.Text = responseData.VResultCode;
                    MerrMsg.Text = responseData.MerrMsg;
                }
            } 

            return;
        }
    }
}
