﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace MdkSampleDotNet.saison
{
    public partial class Capture : System.Web.UI.Page
    {
        /// <summary>
        /// 初期表示イベント。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if (SampleConstants.TXN_SUCCESS_CODE == Request.QueryString["mstatus"])
            {
                dispOrderId.Text = Request.QueryString["orderId"];
                orderId.Value = Request.QueryString["orderId"];
                pointBalance.Text = Request.QueryString["pointBalance"];
                aqfPointBalance.Text = Request.QueryString["aqfPointBalance"];
                availableValue.Text = Request.QueryString["availableValue"];
                dispAmount.Text = (String)Session["amount"]; // Authorize画面で設定しておく
                amount.Value = (String)Session["amount"]; // Authorize画面で設定しておく

                if (!Page.IsPostBack)
                {
                    // 残高再表示よう取引IDを作成
                    reOauthOrderId.Text = "dummy" + System.DateTime.Now.ToString("HHmmssfff");
                }

                tokenApiKey.Text = Utils.getXPath(SampleConstants.TOKEN_API_KEY);
                tokenApiUrl.Text = Utils.getXPath(SampleConstants.TOKEN_API_URL);
                if (String.IsNullOrEmpty(tokenApiUrl.Text))
                {
                    var uri = new Uri(MerchantContext.Config.GetValue(MerchantConfig.SERVER_URL));
                    tokenApiUrl.Text = uri.ToString().TrimEnd('/') + "/4gtoken";
                }

            }
            else
            {
                Session["processName"] = "売上";
                Session["orderId"] = Request.QueryString["orderId"];
                Session["mStatus"] = Request.QueryString["mstatus"];
                Session["mErrMsg"] = Request.QueryString["merrMsg"];
                Session["vResultCode"] = Request.QueryString["vResultCode"];

                Response.Redirect("./Result.aspx", true);
            }

        }

        /// <summary>
        /// 残高再表示ボタン操作時の処理。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnReOauth_Click(object sender, EventArgs e)
        {
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 取引ID
            String paramOrderId = reOauthOrderId.Text;
            // 支払金額
            String paramAmount = dispAmount.Text;

            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            if (String.IsNullOrEmpty(paramOrderId))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramAmount))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：金額が指定されていません</b></font><br/><br/>";
                return;
            }
            if (!IsNumber(paramAmount))
            {
                errorMessage.Text = "<font color='#ff0000'><b>金額は数値で入力しなければなりません</b></font><br/><br/>";
                return;
            }

            Session["amount"] = paramAmount;

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            SaisonAuthorizeRequestDto requestData = new SaisonAuthorizeRequestDto();
            requestData.OrderId = paramOrderId;
            requestData.SettlementMethod = Utils.getXPath(SampleConstants.SAISON_PC_OR_SP_SETTLEMENT_METHOD);
            requestData.MerchantRedirectionUri = Utils.getXPath(SampleConstants.SAISON_MERCHANT_REDIRECTION_URI_PC);

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            Transaction tran = new Transaction();
            SaisonAuthorizeResponseDto responseData = (SaisonAuthorizeResponseDto)tran.Execute(requestData);


            if (SampleConstants.TXN_SUCCESS_CODE == responseData.Mstatus)
            {
                Response.Redirect(responseData.ResResponseContents);
            }
            else
            {
                Session["_screen"] = _screen.Value;
                Session["processName"] = "与信";
                Session["orderId"] = responseData.OrderId;
                Session["mStatus"] = responseData.Mstatus;
                Session["mErrMsg"] = responseData.MerrMsg;
                Session["vResultCode"] = responseData.VResultCode;

                Response.Redirect("./Result.aspx", true);
            }
        }

        /// <summary>
        /// 購入ボタン操作時の処理。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void btnSubmit_Click(object sender, EventArgs e)
        {
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramOrderId = orderId.Value;
            String paramAmount = amount.Value;
            String paramWalletAmount = walletAmount.Text;
            String paramCardAmount = cardAmount.Text;
            String paramToken = token.Value;
            String paramCardOrderId = cardOrderId.Text;
            String paramWithCapture = withCapture.Text;

            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします。
            // ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
            if (String.IsNullOrEmpty(paramOrderId))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：取引IDが指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramAmount))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：合計決済金額が指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramWalletAmount))
            {
                errorMessage.Text = "<font color='#ff0000'><b>必須項目：永久不滅ウォレット決済金額が指定されていません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramAmount) == false && IsNumber(paramAmount) == false)
            {
                errorMessage.Text = "<font color='#ff0000'><b>合計決済金額は数値で入力しなければなりません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramWalletAmount) == false && IsNumber(paramWalletAmount) == false)
            {
                errorMessage.Text = "<font color='#ff0000'><b>永久不滅ウォレット決済金額は数値で入力しなければなりません</b></font><br/><br/>";
                return;
            }
            if (String.IsNullOrEmpty(paramCardAmount) == false && IsNumber(paramCardAmount) == false)
            {
                errorMessage.Text = "<font color='#ff0000'><b>カード決済金額は数値で入力しなければなりません</b></font><br/><br/>";
                return;
            }


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            SaisonCaptureRequestDto requestData = new SaisonCaptureRequestDto();
            requestData.OrderId = paramOrderId;
            requestData.Amount = paramAmount;
            requestData.WalletAmount = paramWalletAmount;
            requestData.CardAmount = paramCardAmount;
            requestData.CardOrderId = paramCardOrderId;
            requestData.WithCapture = paramWithCapture;
            // 合計金額と永久不滅ウォレット決済金額が等しくない場合のみ、トークンを設定
            if (paramAmount != paramWalletAmount)
            {
                requestData.Token = paramToken;
            }

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // コマンドを実行し、応答DTOを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            Transaction tran = new Transaction();
            SaisonCaptureResponseDto responseData = (SaisonCaptureResponseDto)tran.Execute(requestData);

            Session["_screen"] = _screen.Value;
            Session["processName"] = "売上";

            Session["orderId"] = responseData.OrderId;
            Session["mStatus"] = responseData.Mstatus;
            Session["mErrMsg"] = responseData.MerrMsg;
            Session["vResultCode"] = responseData.VResultCode;

            Session["cardOrderId"] = responseData.CardOrderId;
            Session["cardMStatus"] = responseData.CardMstatus;
            Session["cardMErrMsg"] = responseData.CardMerrMsg;
            Session["cardVResultCode"] = responseData.CardVResultCode;
            Session["reqCardNumber"] = responseData.ReqCardNumber;
            Session["resAuthCode"] = responseData.ResAuthCode;

            Response.Redirect("./Result.aspx", true);
        }

        /// <summary>
        /// 引数が数値であるかを確認。
        /// </summary>
        /// <param name="strNum">確認する文字列</param>
        /// <returns>数値の場合はtrueを返す</returns>
        private bool IsNumber(string strNum)
        {
            double dNullable;

            return double.TryParse(
                strNum,
                System.Globalization.NumberStyles.Any,
                null,
                out dNullable
            );
        }
    }
}
