﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using jp.veritrans.tercerog.mdk.dto;
using jp.veritrans.tercerog.mdk;

namespace MdkSampleDotNet.search
{
    public partial class SearchExec : System.Web.UI.Page
    {
        protected OrderInfo[] order_info;
        protected void Page_Load(object sender, EventArgs e)
        {
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 共通項目
            String requestId = getSessionParam("requestId");             // リクエストID
            String[] serviceTypeCd = getListParam("serviceTypeCd[]"); // 決済サービスタイプ
            String orderId = getSessionParam("orderId");               // 取引ID
            String[] command = getListParam("command[]");       // コマンド
            String[] mstatus = getListParam("mstatus[]");       // ステータスコード
            String[] orderStatus = getListParam("orderStatus[]");   // オーダー決済状態
            String txnDatatimeFrom = getSessionParam("txnDatatimeFrom");       // 取引日時 From
            String txnDatatimeTo = getSessionParam("txnDatatimeTo");         // 取引日時 To
            String amountFrom = getSessionParam("amountFrom");            // 金額 From
            String amountTo = getSessionParam("amountTo");              // 金額 To
            String isNewerTxn = getSessionParam("isNewerTxn");          // 最新トランザクションのみ


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 入力をチェックします。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 画面パラメータから新しいパラメータの型を生成します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 取引日時の範囲指定パラメータを生成します。
            SearchRange txnDatatimeRange = new SearchRange();
            txnDatatimeRange.From = txnDatatimeFrom;
            txnDatatimeRange.To = txnDatatimeTo;
            // 金額の範囲指定パラメータを生成します。
            SearchRange amountRange = new SearchRange();
            amountRange.From = amountFrom;
            amountRange.To = amountTo;


            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // Commonパラメータクラスへのセット
            CommonSearchParameter common_param = new CommonSearchParameter();
            common_param.OrderId = orderId;
            common_param.Command = command;
            common_param.Mstatus = mstatus;
            common_param.OrderStatus = orderStatus;
            common_param.TxnDatetime = txnDatatimeRange;
            common_param.Amount = amountRange;

            // Searchパラメータクラスへのセット
            SearchParameters search_param = new SearchParameters();
            search_param.Common = common_param;

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // サービス固有項目のパラメータを設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // ========================================
            // クレジットカード
            // ========================================
            if (CheckService(serviceTypeCd, "card"))
            {
                // サービス固有項目の画面パラメータを取得
                String card_dddTransactionId = getSessionParam("card_dddTransactionId"); // 3d-xid

                // 設定
                CardSearchParameter card_param = new CardSearchParameter();
                card_param.DddTransactionId = card_dddTransactionId;

                // 検索パラメータに設定
                search_param.Card = card_param;
            }
            // ========================================
            // クレジットカード（3D認証有り）
            // ========================================
            if (CheckService(serviceTypeCd, "mpi"))
            {
                // サービス固有項目の画面パラメータを取得
                String mpi_res3dTransactionId = getSessionParam("mpi_res3dTransactionId"); // 応答3DトランザクションID
                String mpi_res3dTransactionStatus = getSessionParam("mpi_res3dTransactionStatus"); // 応答3Dトランザクションステータス
                String mpi_res3dEci = getSessionParam("mpi_res3dEci"); // 応答3D ECI

                // 設定
                MpiSearchParameter mpi_param = new MpiSearchParameter();
                mpi_param.Res3dTransactionId = mpi_res3dTransactionId;
                mpi_param.Res3dTransactionStatus = mpi_res3dTransactionStatus;
                mpi_param.Res3dEci = mpi_res3dEci;

                // 検索パラメータに設定
                search_param.Mpi = mpi_param;
            }
            // ========================================
            // 電子マネー
            // ========================================
            if (CheckService(serviceTypeCd, "em"))
            {
                // サービス固有項目の画面パラメータを取得
                String[] em_emType = getListParam("em_emType[]"); // 電子マネー種別
                String em_settlementLimitFrom = getSessionParam("em_settlementLimitFrom"); // 支払/受取期限 From
                String em_settlementLimitTo = getSessionParam("em_settlementLimitTo"); // 支払/受取期限 To
                String em_completeDatetimeFrom = getSessionParam("em_completeDatetimeFrom"); // 支払完了日時 From
                String em_completeDatetimeTo = getSessionParam("em_completeDatetimeTo"); // 支払完了日時 To
                String em_receiptNo = getSessionParam("em_receiptNo"); // 受付番号

                // 支払/受取期限の範囲指定パラメータを生成
                SearchRange em_settlementLimitRange = new SearchRange();
                em_settlementLimitRange.From = em_settlementLimitFrom;
                em_settlementLimitRange.To = em_settlementLimitTo;
                // 支払完了日時の範囲指定パラメータを生成
                SearchRange em_completeDatetimeRange = new SearchRange();
                em_completeDatetimeRange.From = em_completeDatetimeFrom;
                em_completeDatetimeRange.To = em_completeDatetimeTo;

                // 設定
                EmSearchParameter em_param = new EmSearchParameter();
                em_param.EmType = em_emType;
                em_param.SettlementLimit = em_settlementLimitRange;
                em_param.CompleteDatetime = em_completeDatetimeRange;
                em_param.ReceiptNo = em_receiptNo;

                // 検索パラメータに設定
                search_param.Em = em_param;
            }
            // ========================================
            // コンビニ
            // ========================================
            if (CheckService(serviceTypeCd, "cvs"))
            {
                // サービス固有項目の画面パラメータを取得
                String[] cvs_cvsType = getListParam("cvs_cvsType[]"); // コンビニタイプ
                String cvs_payLimitFrom = getSessionParam("cvs_payLimitFrom"); // 支払期限 From
                String cvs_payLimitTo = getSessionParam("cvs_payLimitTo"); // 支払期限 To
                String cvs_paidDatetimeFrom = getSessionParam("cvs_paidDatetimeFrom"); // 入金受付日 From
                String cvs_paidDatetimeTo = getSessionParam("cvs_paidDatetimeTo"); // 入金受付日 To

                // 支払期限の範囲指定パラメータを生成
                SearchRange cvs_payLimitRange = new SearchRange();
                cvs_payLimitRange.From = cvs_payLimitFrom;
                cvs_payLimitRange.To = cvs_payLimitTo;
                // 入金受付日の範囲指定パラメータを生成
                SearchRange cvs_paidDatetimeRange = new SearchRange();
                cvs_paidDatetimeRange.From = cvs_paidDatetimeFrom;
                cvs_paidDatetimeRange.To = cvs_paidDatetimeTo;

                // 設定
                CvsSearchParameter cvs_param = new CvsSearchParameter();
                cvs_param.CvsType = cvs_cvsType;
                cvs_param.PayLimit = cvs_payLimitRange;
                cvs_param.PaidDatetime = cvs_paidDatetimeRange;

                // 検索パラメータに設定
                search_param.Cvs = cvs_param;
            }
            // ========================================
            // 銀行
            // ========================================
            if (CheckService(serviceTypeCd, "bank"))
            {
                // サービス固有項目の画面パラメータを取得
                String bank_payLimitFrom = getSessionParam("bank_payLimitFrom"); // 支払期限 From
                String bank_payLimitTo = getSessionParam("bank_payLimitTo"); // 支払期限 To
                String bank_receivedDatetimeFrom = getSessionParam("bank_receivedDatetimeFrom"); // 収納日時 From
                String bank_receivedDatetimeTo = getSessionParam("bank_receivedDatetimeTo"); // 収納日時 To
                String bank_shunoKikanNo = getSessionParam("bank_shunoKikanNo"); // 収納機関番号
                String bank_shunoKigyoNo = getSessionParam("bank_shunoKigyoNo"); // 収納企業コード
                String bank_customerNo = getSessionParam("bank_customerNo"); // お客様番号
                String bank_confirmNo = getSessionParam("bank_confirmNo"); // 確認番号

                // 支払期限の範囲指定パラメータを生成
                SearchRange bank_payLimitRange = new SearchRange();
                bank_payLimitRange.From = bank_payLimitFrom;
                bank_payLimitRange.To = bank_payLimitTo;
                // 収納日時の範囲指定パラメータを生成
                SearchRange bank_receivedDatetimeRange = new SearchRange();
                bank_receivedDatetimeRange.From = bank_receivedDatetimeFrom;
                bank_receivedDatetimeRange.To = bank_receivedDatetimeTo;

                // 設定
                BankSearchParameter bank_param = new BankSearchParameter();
                bank_param.PayLimit = bank_payLimitRange;
                bank_param.ReceivedDatetime = bank_receivedDatetimeRange;
                bank_param.ShunoKikanNo = bank_shunoKikanNo;
                bank_param.ShunoKigyoNo = bank_shunoKigyoNo;
                bank_param.CustomerNo = bank_customerNo;
                bank_param.ConfirmNo = bank_confirmNo;

                // 検索パラメータに設定
                search_param.Bank = bank_param;
            }
            // ========================================
            // PayPal
            // ========================================
            if (CheckService(serviceTypeCd, "paypal"))
            {
                // サービス固有項目の画面パラメータを取得
                String paypal_paymentDatetimeFrom = getSessionParam("paypal_paymentDatetimeFrom"); // 支払日時 From
                String paypal_paymentDatetimeTo = getSessionParam("paypal_paymentDatetimeTo"); // 支払日時 To
                String paypal_invoiceId = getSessionParam("paypal_invoiceId"); // 請求番号
                String paypal_payerId = getSessionParam("paypal_payerId"); // 顧客番号

                // 支払日時の範囲指定パラメータを生成
                SearchRange paypal_paymentDatetimeRange = new SearchRange();
                paypal_paymentDatetimeRange.From = paypal_paymentDatetimeFrom;
                paypal_paymentDatetimeRange.To = paypal_paymentDatetimeTo;

                // 設定
                PaypalSearchParameter paypal_param = new PaypalSearchParameter();
                paypal_param.PaymentDatetime = paypal_paymentDatetimeRange;
                paypal_param.InvoiceId = paypal_invoiceId;
                paypal_param.PayerId = paypal_payerId;

                // 検索パラメータに設定
                search_param.Paypal = paypal_param;
            }
            // ========================================
            // Saison
            // ========================================
            if (CheckService(serviceTypeCd, "saison"))
            {
                // サービス固有項目の画面パラメータを取得
                String saison_shopName         = getSessionParam("saison_shopName");         // 店舗名
                String saison_totalAmountFrom  = getSessionParam("saison_totalAmountFrom");  // 合計決済金額 From
                String saison_totalAmountTo    = getSessionParam("saison_totalAmountTo");    // 合計決済金額 To
                String saison_walletAmountFrom = getSessionParam("saison_walletAmountFrom"); // ウォレット決済金額 From
                String saison_walletAmountTo   = getSessionParam("saison_walletAmountTo");   // ウォレット決済金額 To
                String saison_cardAmountFrom   = getSessionParam("saison_cardAmountFrom");   // カード決済金額 From
                String saison_cardAmountTo     = getSessionParam("saison_cardAmountTo");     // カード決済金額 To

                // 合計決済金額の範囲指定パラメータを生成
                SearchRange saison_totalAmountRange = new SearchRange();
                saison_totalAmountRange.From = saison_totalAmountFrom;
                saison_totalAmountRange.To = saison_totalAmountTo;

                // ウォレット決済金額の範囲指定パラメータを生成
                SearchRange saison_walletAmountRange = new SearchRange();
                saison_walletAmountRange.From = saison_walletAmountFrom;
                saison_walletAmountRange.To = saison_walletAmountTo;

                // カード決済金額の範囲指定パラメータを生成
                SearchRange saison_cardAmountRange = new SearchRange();
                saison_cardAmountRange.From = saison_cardAmountFrom;
                saison_cardAmountRange.To = saison_cardAmountTo;

                // 設定
                SaisonSearchParameter saison_param = new SaisonSearchParameter();
                saison_param.TotalAmount = saison_totalAmountRange;
                saison_param.WalletAmount = saison_walletAmountRange;
                saison_param.CardAmount = saison_cardAmountRange;

                // 検索パラメータに設定
                search_param.Saison = saison_param;
            }

            // ========================================
            // UPOP
            // ========================================
            if (CheckService(serviceTypeCd, "upop"))
            {
                // サービス固有項目の画面パラメータを取得
                String upop_settleDatetimeJpFrom = getSessionParam("upop_settleDatetimeJpFrom"); // 決済日時(日本) From
                String upop_settleDatetimeJpTo = getSessionParam("upop_settleDatetimeJpTo");     // 決済日時(日本) To
                String upop_settleDatetimeCnFrom = getSessionParam("upop_settleDatetimeCnFrom"); // 決済日時(中国) From
                String upop_settleDatetimeCnTo = getSessionParam("upop_settleDatetimeCnTo");     // 決済日時(中国) To
                String[] detailOrderType = getListParam("detailOrderType[]");                    // 現在オーダーステータス

                // 支払日時の範囲指定パラメータを生成
                SearchRange upop_settleDatetimeJpRange = new SearchRange();
                upop_settleDatetimeJpRange.From = upop_settleDatetimeJpFrom;
                upop_settleDatetimeJpRange.To = upop_settleDatetimeJpTo;

                SearchRange upop_settleDatetimeCnRange = new SearchRange();
                upop_settleDatetimeCnRange.From = upop_settleDatetimeCnFrom;
                upop_settleDatetimeCnRange.To = upop_settleDatetimeCnTo;

                // 設定
                UpopSearchParameter upop_param = new UpopSearchParameter();
                upop_param.SettleDatetimeJp = upop_settleDatetimeJpRange;
                upop_param.SettleDatetimeCn = upop_settleDatetimeCnRange;
                upop_param.DetailOrderType = detailOrderType;

                // 検索パラメータに設定
                search_param.Upop = upop_param;
            }
            // ========================================
            // Alipay
            // ========================================
            if (CheckService(serviceTypeCd, "alipay"))
            {
                // サービス固有項目の画面パラメータを取得
                String alipay_centerTradeId = getSessionParam("alipay_centerTradeId");            // 決済センターとの取引ID
                String alipay_paymentTimeFrom = getSessionParam("alipay_paymentTimeFrom");        // 支払い日時From
                String alipay_paymentTimeTo = getSessionParam("alipay_paymentTimeTo");            // 支払い日時 To
                String alipay_settlementTimeFrom = getSessionParam("alipay_settlementTimeFrom");  // 清算日時From
                String alipay_settlementTimeTo = getSessionParam("alipay_settlementTimeTo");      // 清算日時To
                String[] alipay_payType = getListParam("alipay_payType[]");                       // 決済種別
                String[] alipay_detailOrderType = getListParam("alipayDetailOrderType[]");        // 現在オーダーステータス

                // 支払い日時の範囲指定パラメータを生成
                SearchRange alipay_paymentTimeRange = new SearchRange();
                alipay_paymentTimeRange.From = alipay_paymentTimeFrom;
                alipay_paymentTimeRange.To = alipay_paymentTimeTo;

                // 清算日時の範囲指定パラメータを生成
                SearchRange alipay_settlementTimeRange = new SearchRange();
                alipay_settlementTimeRange.From = alipay_settlementTimeFrom;
                alipay_settlementTimeRange.To = alipay_settlementTimeTo;

                // 設定
                AlipaySearchParameter alipay_param = new AlipaySearchParameter();
                alipay_param.CenterTradeId = alipay_centerTradeId;
                alipay_param.PaymentTime = alipay_paymentTimeRange;
                alipay_param.SettlementTime = alipay_settlementTimeRange;
                alipay_param.DetailOrderType = alipay_detailOrderType;
                alipay_param.PayType = alipay_payType;

                // 検索パラメータに設定
                search_param.Alipay = alipay_param;
            }

            // ========================================
            // キャリア
            // ========================================
            if (CheckService(serviceTypeCd, "carrier"))
            {
                // サービス固有項目の画面パラメータを取得
                String[] carrier_detailOrderType = getListParam("carrier_detailOrderType[]");     // 詳細オーダー決済状態
                String[] carrier_crServiceType = getListParam("carrier_crServiceType[]");         // キャリアサービスタイプ
                String carrier_accountingType = getSessionParam("carrier_accountingType");        // 課金種別
                String[] carrier_itemType = getListParam("carrier_itemType[]");                   // 商品タイプ
                String[] carrier_mpStatus = getListParam("carrier_mpStatus[]");                   // 継続状態フラグ
                String[] carrier_terminalKind = getListParam("carrier_terminalKind[]");           // 端末種別
                String[] carrier_detailCommandType = getListParam("carrier_detailCommandType[]"); // 詳細コマンドタイプ
                String carrier_mpFirstDate = getSessionParam("carrier_mpFirstDate");              // 初回課金年月日
                String carrier_mpDay = getSessionParam("carrier_mpDay");                          // 継続課金日

                // 設定
                CarrierSearchParameter carrier_param = new CarrierSearchParameter();
                carrier_param.DetailOrderType = carrier_detailOrderType;
                carrier_param.CrServiceType = carrier_crServiceType;
                carrier_param.AccountingType = carrier_accountingType;
                carrier_param.ItemType = carrier_itemType;
                carrier_param.MpStatus = carrier_mpStatus;
                carrier_param.TerminalKind = carrier_terminalKind;
                carrier_param.DetailCommandType = carrier_detailCommandType;
                carrier_param.MpFirstDate = carrier_mpFirstDate;
                carrier_param.MpDay = carrier_mpDay;

                // 検索パラメータに設定
                search_param.Carrier = carrier_param;
            }

            // ========================================
            // ショッピングクレジット
            // ========================================
            if (CheckService(serviceTypeCd, "oricosc"))
            {
                // サービス固有項目の画面パラメータを取得
                String oricosc_oricoOrderNo = getSessionParam("oricosc_oricoOrderNo");                  // 注文番号
                String oricosc_amountFrom = getSessionParam("oricosc_amountFrom");                      // 支払合計金額 From
                String oricosc_amountTo = getSessionParam("oricosc_amountTo");                          // 支払合計金額 To
                String oricosc_totalItemAmountFrom = getSessionParam("oricosc_totalItemAmountFrom");    // 商品価格合計(税込) From
                String oricosc_totalItemAmountTo = getSessionParam("oricosc_totalItemAmountTo");        // 商品価格合計(税込) To

                // 支払合計金額の範囲指定パラメータを生成
                SearchRange oricosc_amountRange = new SearchRange();
                oricosc_amountRange.From = oricosc_amountFrom;
                oricosc_amountRange.To = oricosc_amountTo;

                // 商品価格合計(税込)の範囲指定パラメータを生成
                SearchRange oricosc_totalItemAmountRange = new SearchRange();
                oricosc_totalItemAmountRange.From = oricosc_totalItemAmountFrom;
                oricosc_totalItemAmountRange.To = oricosc_totalItemAmountTo;

                // 設定
                OricoscSearchParameter oricosc_param = new OricoscSearchParameter();
                oricosc_param.OricoOrderNo = oricosc_oricoOrderNo;
                oricosc_param.Amount = oricosc_amountRange;
                oricosc_param.TotalItemAmount = oricosc_totalItemAmountRange;

                // 検索パラメータに設定
                search_param.Oricosc = oricosc_param;
            }

            // ========================================
            // 楽天
            // ========================================
            if (CheckService(serviceTypeCd, "rakuten"))
            {
                // サービス固有項目の画面パラメータを取得
                String[] rakuten_detailOrderType   = getListParam("rakuten_detailOrderType[]");   // 詳細オーダー決済状態
                String[] rakuten_detailCommandType = getListParam("rakuten_detailCommandType[]"); // 詳細コマンドタイプ
                String rakuten_itemId              = getSessionParam("rakuten_itemId");           // 商品ID

                // 設定
                RakutenSearchParameter rakuten_param = new RakutenSearchParameter();
                rakuten_param.DetailOrderType = rakuten_detailOrderType;
                rakuten_param.DetailCommandType = rakuten_detailCommandType;
                rakuten_param.ItemId = rakuten_itemId;

                // 検索パラメータに設定
                search_param.Rakuten = rakuten_param;
            }

            // ========================================
            // リクルート
            // ========================================
            if (CheckService(serviceTypeCd, "recruit"))
            {
                // サービス固有項目の画面パラメータを取得
                String[] recruit_detailOrderType = getListParam("recruit_detailOrderType[]"); // 詳細オーダー決済状態
                String[] recruit_detailCommandType = getListParam("recruit_detailCommandType[]"); // 詳細コマンドタイプ
                String recruit_itemId = getSessionParam("recruit_itemId"); // 商品番号

                // 設定
                var recruit_param = new RecruitSearchParameter();
                recruit_param.DetailOrderType = recruit_detailOrderType;
                recruit_param.DetailCommandType = recruit_detailCommandType;
                recruit_param.ItemId = recruit_itemId;

                // 検索パラメータに設定
                search_param.Recruit = recruit_param;
            }

            // ========================================
            // LINE Pay
            // ========================================
            if (CheckService(serviceTypeCd, "linepay"))
            {
                // サービス固有項目の画面パラメータを取得
                String[] linepay_detailOrderType = getListParam("linepay_detailOrderType[]"); // 詳細オーダー決済状態
                String[] linepay_detailCommandType = getListParam("linepay_detailCommandType[]"); // 詳細コマンドタイプ
                String linepay_itemId = getSessionParam("linepay_itemId"); // 商品番号

                // 設定
                var linepay_param = new LinepaySearchParameter();
                linepay_param.DetailOrderType = linepay_detailOrderType;
                linepay_param.DetailCommandType = linepay_detailCommandType;
                linepay_param.ItemId = linepay_itemId;

                // 検索パラメータに設定
                search_param.Linepay = linepay_param;
            }

            // ========================================
            // MasterPass決済
            // ========================================
            if (CheckService(serviceTypeCd, "masterpass"))
            {
                // サービス固有項目の画面パラメータを取得
                String[] masterpass_detailOrderType = getListParam("masterpass_detailOrderType[]"); // 詳細オーダー決済状態
                String[] masterpass_detailCommandType = getListParam("masterpass_detailCommandType[]"); // 詳細コマンドタイプ
                String masterpass_itemId = getSessionParam("masterpass_itemId"); // 商品番号
                String masterpass_acquirerCode = getSessionParam("masterpass_acquirerCode"); // 仕向け先コード

                // 設定
                var masterpass_param = new MasterpassSearchParameter();
                masterpass_param.DetailOrderType = masterpass_detailOrderType;
                masterpass_param.DetailCommandType = masterpass_detailCommandType;
                masterpass_param.ItemId = masterpass_itemId;
                masterpass_param.AcquirerCode = masterpass_acquirerCode;

                // 検索パラメータに設定
                search_param.Masterpass = masterpass_param;
            }

            // ========================================
            // 銀行振込決済
            // ========================================
            if (CheckService(serviceTypeCd, "virtualacc"))
            {
                // サービス固有項目の画面パラメータを取得
                String[] virtualacc_detailOrderType = getListParam("virtualacc_detailOrderType[]"); // 詳細オーダー決済状態
                String[] virtualacc_detailCommandType = getListParam("virtualacc_detailCommandType[]"); // 詳細コマンドタイプ
                String virtualacc_entryTransferName = getSessionParam("virtualacc_entryTransferName"); // 登録時振込人名
                String virtualacc_entryTransferNumber = getSessionParam("virtualacc_entryTransferNumber"); // 登録時振込番号
                String virtualacc_accountNumber = getSessionParam("virtualacc_accountNumber"); // 口座番号

                // 設定
                var virtualacc_param = new VirtualaccSearchParameter();
                virtualacc_param.DetailOrderType = virtualacc_detailOrderType;
                virtualacc_param.DetailCommandType = virtualacc_detailCommandType;
                virtualacc_param.EntryTransferName = virtualacc_entryTransferName;
                virtualacc_param.EntryTransferNumber = virtualacc_entryTransferNumber;
                virtualacc_param.AccountNumber = virtualacc_accountNumber;

                // 検索パラメータに設定
                search_param.Virtualacc = virtualacc_param;
            }

            // 検索DTOへパラメータクラスをセット
            SearchRequestDto request_data = new SearchRequestDto();
            request_data.RequestId = requestId;           // リクエストID
            if (isNewerTxn != null && isNewerTxn.Equals("true"))
            {
                request_data.NewerFlag = "true";  // 商品に紐付く最後の取引のみ対象にするかを示す
            }
            else
            {
                request_data.NewerFlag = "false"; // 商品に紐付く全ての取引のみ対象にするかを示す
            }
            request_data.ContainDummyFlag = "1";          // 検索対象にダミー決済のレコードを含めるかを示す
            request_data.ServiceTypeCd = serviceTypeCd;   // 検索対象のサービスタイプを示す
            request_data.SearchParameters = search_param; // 各機能の固有条件


            try
            {
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // コマンドを実行し、応答DTOを取得します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                Transaction tran = new Transaction();
                SearchResponseDto response_data = (SearchResponseDto)tran.Execute(request_data);


                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // 結果画面に表示します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // 処理結果メッセージを設定（View機能へ引き渡す）
                String warning = response_data.MerrMsg;
                if (warning != null && 0 < warning.Length)
                {
                    errorMessage.Text = "<font color='#ff0000' size='2'><b>" + warning + "</b></font><br/><br/>";
                }

                // 配列データを設定（View機能へ引き渡す）
                OrderInfos order_infos = response_data.OrderInfos;
                if (order_infos != null)
                {
                    order_info = order_infos.OrderInfo;
                }

            }
            catch (Exception ex)
            {
                // トランザクションオブジェクトの生成失敗など、
                // Exceptionが発生した場合はエラー画面を表示します。
                errorMessage.Text = "<font color='#ff0000' size='2'><b>Exception Occured : " + ex.Message + "</b></font><br/><br/>";
                return;
            }
        }

        /// <summary>
        /// フォームから送られてきた配列パラメータを取得する。
        /// </summary>
        /// <param name="key">パラメータ名</param>
        /// <param name="rtnNull">戻り値が配列0の場合の挙動（falseの場合は配列0で、trueの場合はnullで変える）</param>
        /// <returns>パラメータ名に紐付く値の配列（無い場合は配列数0個の文字列配列を返す）</returns>
        private String[] getListParam(String key)
        {
            //            String tmpListString = Request.Form[key];
            String tmpListString = (String)Session[key];

            if (tmpListString == null || tmpListString.Length == 0)
            {
                return null;
            }

            char[] delimiter = new char[] { ',' };
            return tmpListString.Split(delimiter);
        }

        /// <summary>
        /// フォームから送られてきた配列パラメータを取得する。
        /// </summary>
        /// <param name="key">パラメータ名</param>
        /// <param name="rtnNull">戻り値が配列0の場合の挙動（falseの場合は配列0で、trueの場合はnullで変える）</param>
        /// <returns>パラメータ名に紐付く値の配列（無い場合は配列数0個の文字列配列を返す）</returns>
        //private String getParam(String key)
        //{
        //    String tmpListString = Request.Form[key];

        //    if (tmpListString == null || tmpListString.Length == 0)
        //    {
        //        return null;
        //    }

        //    return tmpListString;
        //}

        private String getSessionParam(String key)
        {
            String param = (String)Session[key];

            if (param == null || param.Length == 0)
            {
                return null;
            }

            return param;
        }
        /// <summary>
        /// 検索対象の決済サービスタイプであるかをチェックする。
        /// </summary>
        /// <param name="serviceTypeCd">選択されたサービスタイプのリスト</param>
        /// <param name="target">探し出すサービスタイプ</param>
        /// <returns>存在する場合はtrueを返す</returns>
        private bool CheckService(String[] serviceTypeCd, String target)
        {
            if (serviceTypeCd == null)
            {
                return false;
            }
            return -1 < Array.IndexOf(serviceTypeCd, target);
        }
    }
}
