﻿using System;
using jp.veritrans.tercerog.mdk;
using jp.veritrans.tercerog.mdk.dto;

namespace web.virtualacc
{
    public partial class AuthorizeExec : System.Web.UI.Page
    {
        /// <summary>
        /// 初期表示イベント。
        /// パラメータを元に、GWと通信を行う。
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            Response.Charset = "UTF-8";

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // パラメータを取得します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            String paramOrderId = (String)Session["paramOrderId"];
            String paramAmount = (String)Session["paramAmount"];
            String paramEntryTransferName = (String)Session["entryTransferName"];
            String paramEntryTransferNumber = (String)Session["entryTransferNumber"];
            String paramTransferExpiredDate = (String)Session["transferExpiredDate"];
            String paramAccountManageType = (String)Session["accountManageType"];
            String paramBranchCode = (String)Session["branchCode"];
            String paramAccountNumber = (String)Session["accountNumber"];

            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            // 要求DTOを生成し、値を設定します。
            // +++++++++++++++++++++++++++++++++++++++++++++++++++++
            VirtualaccAuthorizeRequestDto requestData = new VirtualaccAuthorizeRequestDto();
            requestData.OrderId = paramOrderId;
            requestData.Amount = paramAmount;
            requestData.EntryTransferName = paramEntryTransferName;
            requestData.EntryTransferNumber = paramEntryTransferNumber;
            requestData.TransferExpiredDate = paramTransferExpiredDate;
            requestData.AccountManageType = paramAccountManageType;
            requestData.BranchCode = paramBranchCode;
            requestData.AccountNumber = paramAccountNumber;
            requestData.ServiceOptionType = MdkServiceConstants.VACC_RESONA;
            try
            {
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // コマンドを実行し、応答DTOを取得します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                Transaction tran = new Transaction();
                VirtualaccAuthorizeResponseDto responseData = (VirtualaccAuthorizeResponseDto)tran.Execute(requestData);

                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                // 結果画面に表示します。
                // +++++++++++++++++++++++++++++++++++++++++++++++++++++
                OrderId.Text = responseData.OrderId;
                Mstatus.Text = responseData.Mstatus;
                VResultCode.Text = responseData.VResultCode;
                MerrMsg.Text = responseData.MerrMsg;
                TransferName.Text = responseData.TransferName;
                BankName.Text = responseData.BankName;
                BankCode.Text = responseData.BankCode;
                BranchName.Text = responseData.BranchName;
                BranchCode.Text = responseData.BranchCode;
                AccountType.Text = responseData.AccountType;
                AccountNumber.Text = responseData.AccountNumber;
                AccountName.Text = responseData.AccountName;
            }
            catch (Exception ex)
            {
                Console.WriteLine("Exception Occured !");
                Console.WriteLine("Exception Message: " + ex.Message);
                MerrMsg.Text = "Exception Occured : " + ex.Message;
            }
            Session.Clear();
        }
    }
}